<?php

$amazon_products = $table_prefix . "amazon_products";
$amazon_reviews = $table_prefix . "amazon_reviews";
$amazon_products_attributes = $table_prefix . "amazon_products_attributes";
$amazon_products_related = $table_prefix . "amazon_products_related";
$amazon_reviews = $table_prefix . "amazon_reviews";
$amazon_menu = $table_prefix . "amazon_menu";
$posturl = get_bloginfo(wpurl);
$pathurl = get_bloginfo(wpurl);
$pathurl_images = WP_PLUGIN_URL ."/amaniche/images/";

function amaniche_country_details($amazon_country){

switch ($amazon_country){
case "USA":
$searchIndex="All";
$ama_tld = "com";
break;

case "UK":
$searchIndex="Blended";
$ama_tld="co.uk";
break;

case "Canada":
$searchIndex="Blended";
$ama_tld = "ca";
break;

case "Germany":
$searchIndex="Blended";
$ama_tld="de";
break;

case "France":
$searchIndex="Blended";
$ama_tld ="fr";
break;

case "Italy":
$searchIndex="All";
$ama_tld ="it";
break;

case "Spain":
$searchIndex="All";
$ama_tld ="es";
break;

case "Japan":
$searchIndex="Blended";
$ama_tld="jp";
break;
}

switch ($amazon_country){
case "USA":
$currency_sign = "$";
break;
case "UK":
$currency_sign="&#163;";
break;
case "Canada":
$currency_sign="$";
break;
case "Germany":
$currency_sign = "&#8364;";
break;
case "France":
$currency_sign = "&#8364;";
break;
case "Spain":
$currency_sign = "&#8364;";
break;
case "Italy":
$currency_sign = "&#8364;";
break;
case "Japan":
$currency_sign="&#165;";
break;
}

$country_content['currency_sign']=$currency_sign;
$country_content['tld']=$ama_tld;
$country_content['searchIndex']=$searchIndex;


return $country_content;
}

function amaniche_getpage($url){
error_reporting(0);
$ch = curl_init();
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_URL, $url);
$data = curl_exec($ch);
curl_close($ch);
return $data;
}

function amaniche_signed_request($region, $params, $public_key, $private_key){
    $method = "GET";
	if($region=="it"){
   $host = "webservices.amazon.it";
   }else{
    $host = "ecs.amazonaws.".$region;
	}


    $uri = "/onca/xml";
    $params["Service"] = "AWSECommerceService";
    $params["AWSAccessKeyId"] = $public_key;
    $params["Timestamp"] = gmdate("Y-m-d\TH:i:s\Z");
    $params["Version"] = "2011-08-01";
    ksort($params);

    $canonicalized_query = array();
    foreach ($params as $param=>$value)
    {
        $param = str_replace("%7E", "~", rawurlencode($param));
        $value = str_replace("%7E", "~", rawurlencode($value));
        $canonicalized_query[] = $param."=".$value;
    }
    $canonicalized_query = implode("&", $canonicalized_query);
    
    $string_to_sign = $method."\n".$host."\n".$uri."\n".$canonicalized_query;
    $signature = base64_encode(hash_hmac("sha256", $string_to_sign, $private_key, True));
    $signature = str_replace("%7E", "~", rawurlencode($signature));
    $request = "http://".$host.$uri."?".$canonicalized_query."&Signature=".$signature;
    return $request;
    }

function amaniche_add_column_if_not_exist(){
global $table_prefix, $wpdb,$amazon_products;
	  $exists = false;
	  $column = "accessories";
	  $columns = mysql_query("show columns from $amazon_products");
	  while($c = mysql_fetch_assoc($columns)){
	  if($c['Field'] == $column){
	  $exists = true;
	  break;
	  }
	  }      
	  if(!$exists){
	  @mysql_query("ALTER TABLE $amazon_products ADD accessories text");
	  }
}



function add_post_main($product_name, $last_id, $product_image, $brand, $model, $words){
global $table_prefix;
global $dripfeed, $dripfeed_startyear, $dripfeed_startmonth, $dripfeed_startday;
global $wpdb, $post, $post_status, $postcats;
global $main_image_small, $main_image_large, $main_rating, $main_num_reviews;

$pathurl = get_bloginfo(wpurl);
$pathurl_nichesite = $pathurl;
$pathurl_nichesite .="/wp-content/plugins/amaniche/";
$post_ID = $post->ID;
$amazon_products = $table_prefix . "amazon_products";
$amazon_reviews = $table_prefix . "amazon_reviews";
$amazon_products_attributes = $table_prefix . "amazon_products_attributes";
$amazon_products_related = $table_prefix . "amazon_products_related";
$amaniche_menu = $table_prefix . "amazon_menu";

if ($dripfeed_startday==""){
$month = date("n");
$day = date("j");
$year = date("Y");
}else{
$month = $dripfeed_startmonth;
$day = $dripfeed_startday;
$year = $dripfeed_startyear;

if ($month ==""){
$month = date("n");
}
if ($year ==""){
$year = date("Y");
}

}

$time = mktime(0, 0, 0, $month, $day, $year); 
$rand_time = rand(0, $dripfeed*60*60*24);
$time = $time + $rand_time;

//get settings for layout. Put the data in product_content
$product_content = "";

$sql=@mysql_query("SELECT * from $amazon_products where (id='$last_id')");
$rij = @mysql_fetch_array($sql);
$url_id = $rij[id];
$brand = $rij[product_brand];
$model= $rij[product_model];
$title = $rij[product_name];
$prod_description=$rij[product_description];
$image = $rij[product_image];
$amz_tags = $rij[product_related_keywords];
$amz_price=$rij[price];

if ($image==""){
$image=$pathurl_nichesite;
$image.="images/no_image.jpg";
}
$url = $rij[product_url];
$num_reviews = $rij[num_reviews];
		 $currency = $rij[currency];
		 switch ($currency){
		 case "USD":
		 $currency_code = "$";
		 break;
		 case "EUR":
		 $currency_code = "&euro;";
		 break;
		 case "GBP":
		 $currency_code = "&pound;";
		 break;
		 }

$words = trim($words);

if ($words==""){
$output=$prod_description;
}else{ 

	$output = '';
	$input = $prod_description;
	$input = str_word_count($input,1);  // second parameter returns the string as an array.
	for($i=0; $i< $words; $i++){
		$output .=$input[$i].' ';
	}
}
$av_rate = $rij[rating];
$av_rating = $av_rate;
$av_rate = $av_rate/5;
		 $av_rate = $av_rate * 100;
 
		 $average_rating = "<div class=\"rating_bar\"><div style=\"width:";
		 $average_rating .=$av_rate;
		 $average_rating .="%\"></div></div>";

if ($num_reviews==""){
$reviews = "no reviews yet";
}else{
if ($num_reviews=="1"){
$reviews = "$num_reviews review";
}else{
$reviews = "$num_reviews reviews";
}
}
		 
	 
//$txt_out = "<div  style=\"border: 1px solid #cccccc; padding: 6px; margin: 6px;text-align: center; float:left; height:170px\"><a href=\"$pathurl/buy.php?id=$url_id\" rel=\"nofollow\" target=\"_blank\"><img src=\"$image\" border=\"0\"></a></div>";
//$txt_out .= "<table border=\"0\"><tr><td class=\"amatabellabel\">Brand:</td><td>$brand</td></tr>\n";
//$txt_out .= "<tr><td class=\"amatabellabel\">Average Rating</td><td><table><tr><td>$average_rating </td><td class=\"reviewstd\"> <a href=\"$pathurl/buy.php?id=$url_id\" rel=\"nofollow\" target=\"_blank\">$reviews</a></td></tr></table></td></tr></table>\n";
//$txt_out .= "$output <a href=\"$pathurl/buy.php?id=$url_id\" rel=\"nofollow\" target=\"_blank\">more info</a><br><br><br><a href=\"$pathurl/buy.php?id=$url_id\" rel=\"nofollow\" target=\"_blank\"><img src=\"$pathurl/wp-content/plugins/amaniche/images/moreinfo.jpg\" border=\"0\" /></a><div style=\"clear:both;\"></div>";
$product_content = "{description}";

//let's see if we need to do some spinning
$amazon_custom_description= $table_prefix . "amazon_custom_description";
$sql_spin = @mysql_query("SELECT * from $amazon_custom_description");
$num_rows = @mysql_num_rows($sql_spin);
if ($num_rows>0){
//ok let's see if the rule is for all categories or if it's in the same category as these
while ($Rij_spin = mysql_fetch_array($sql_spin))
  {
  $spin_cat_id=$Rij_spin[wpcat];
  $spin_text=$Rij_spin[spin_text];
  if ($spin_cat_id=="all"){
  //let's get the spintext
  $spinned_text = AmanicheSpin($spin_text);
  $spinned_text =AmanicheAttributeSpin($spinned_text,$last_id);
  //spinned tekst holds the values now. let's see about the placement
  $spin_placement = $Rij_spin[spin_placement];
  switch ($spin_placement){
  case "top":
  $product_content2 =$spinned_text;
  $product_content2 .="<br>";
  $product_content2 .=$product_content;
  $product_content="";
  $product_content= $product_content2;
  break;
  case "bottom":
  $product_content .="<br>";
  $product_content .= $spinned_text;
  break;
  case "inplace":
  $product_content = $spinned_text;
  break;
  }
  }//end if 
  
  //let's see if the category is maybe the same as this one
  if (in_array($spin_cat_id, $postcats, true)) {
     $spinned_text = AmanicheSpin($spin_text);
  $spinned_text =AmanicheAttributeSpin($spinned_text,$last_id);
  //spinned tekst holds the values now. let's see about the placement
  $spin_placement = $Rij_spin[spin_placement];
  switch ($spin_placement){
  case "top":
  $product_content2 =$spinned_text;
  $product_content2 .="<br>";
  $product_content2 .=$product_content;
  $product_content="";
  $product_content= $product_content2;
  break;
  case "bottom":
  $product_content .="<br>";  
  $product_content .=$spinned_text;
  break;
  case "inplace":
  $product_content = $spinned_text;
  break;
  }
}
  }
}

$product_title_array = $title;
$badchars = array(",", ":", "(", ")", "]", "[", "?", "!", ";", "-", "&");
$product_title_array = str_replace($badchars, "", $product_title_array);	
$product_title_array = stripslashes($product_title_array);
$product_title_array = str_replace("  "," ",$product_title_array);
$product_title_array = str_replace("  "," ",$product_title_array);
$product_title_array = explode(" ", $product_title_array);
$product_title = $product_title_array[0] ." ". $product_title_array[1] ." ". $product_title_array[2] ." ". $product_title_array[3] ." ". $product_title_array[4] ." ". $product_title_array[5] ." ". $product_title_array[6] ." ". $product_title_array[7];
$product_title = trim($product_title);

$product_tags = "";
for ($j = 0; $j<8; $j++){
$tag_size = strlen($product_title_array[$j]);
  if ($tag_size > 3){
  $temp_tag =$product_title_array[$j];
  $product_tags .=$temp_tag ." ";  
  }
}

if ($brand==""){
}else{
//check if model and brand are in the tags
if(strpos($product_tags, $brand )){
//it's in it
}else{
  $product_tags .= $brand ." ";
}
}

if ($model==""){
}else{
if(strpos($product_tags, $model )){
//it's in it
}else{
  $product_tags .= $model ." ";
}}

$product_tags  = trim($product_tags );
$product_tags = str_replace(" ", ",", $product_tags);
if ($amz_tags!=""){
$product_tags .=",". $amz_tags;
}



$postID = wp_insert_post(array( "post_title" => $wpdb->escape($product_title), "post_content" => $wpdb->escape($product_content), "post_category" => $postcats, "post_status" => $post_status, "post_author" => 1, "post_date" => date("Y-m-d H:i:s", $time), "tags_input" =>$wpdb->escape($product_tags) )); 
$insert = "UPDATE $amazon_products SET post_id='$postID' where (id='$last_id')";
$results = $wpdb->query($insert);
$insert = "UPDATE $amazon_products_attributes SET post_id='$postID' where (product_id='$last_id')";
$results = $wpdb->query($insert);
$insert = "UPDATE $amazon_products_related  SET post_id='$postID' where (product_id='$last_id')";
$results = $wpdb->query($insert);

$P_id_result=$postID;

$prod_link = "$pathurl/buy.php?id=$url_id";
//add post meta for various templates
add_post_meta($P_id_result, 'image', $image);
add_post_meta($P_id_result, 'thumbnail', $image);
add_post_meta($P_id_result, 'Thumbnail', $image);
add_post_meta($P_id_result, 'thumb', $image);
add_post_meta($P_id_result, 'Thumb', $image);
add_post_meta($P_id_result, 'hpbottom', $image);
add_post_meta($P_id_result, 'thesis_thumb',$image);
add_post_meta($P_id_result, 'thesis_thumb_alt',$product_title);
add_post_meta($P_id_result, 'product_image',$image);
add_post_meta($P_id_result, 'product_thumb_image',$image);
add_post_meta($P_id_result, 'product_url',$prod_link);
add_post_meta($P_id_result, 'prod_url', $prod_link);
add_post_meta($P_id_result, 'product_link', $prod_link);
add_post_meta($P_id_result, 'product_rating', $main_rating);
add_post_meta($P_id_result, 'num_reviews', $main_num_reviews);
add_post_meta($P_id_result, 'rating', $main_rating);

//add postmeta for all in one seo pack and platinum seo
$meta_description = substr($prod_description, 0, 160);
add_post_meta($P_id_result, 'description', $meta_description);
add_post_meta($P_id_result, '_aioseop_description', $meta_description);

//add item attributes as post meta
$post_attrib= "SELECT * FROM $amazon_products_attributes where (post_id='$P_id_result')";
$results_post_attrib = @mysql_query($post_attrib);
while ($Rij_att = @mysql_fetch_array($results_post_attrib)){
add_post_meta($P_id_result, $Rij_att[name], $Rij_att[att_val]);

if ($Rij_att[att_val]=="image_large_1"){
$main_image_large=$Rij_att[att_val];
add_post_meta($P_id_result, 'main_image_large', $main_image_large);
}

if ($Rij_att[att_val]=="image_small_1"){
$main_image_small=$Rij_att[att_val];
add_post_meta($P_id_result, 'main_image_small', $main_image_small);
}

}

//images

//lets do some smart category adding if possible
amaniche_smart_category($P_id_result,$amz_price,$av_rating);

//ebay keywords
$ebay_title = $product_title_array[0];
$ebay_title .= " ";
$ebay_title .= $product_title_array[1];
$ebay_title .= " ";
$ebay_title .= $product_title_array[2];
add_post_meta($P_id_result, 'amaniche_ebay_keywords', $ebay_title);

	}

function amaniche_asin_search($feedURL, $product_id, $type){
global $table_prefix, $wpdb;
$amazon_products_related = $table_prefix . "amazon_products_related";
$pathurl = get_bloginfo(wpurl);
$ch = curl_init();
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_URL, $feedURL);
$data = curl_exec($ch);
curl_close($ch);

$xml = @simplexml_load_string($data);
$mark = $xml->TotalPages;
$error = $xml->ErrorMsg;

// check to see if we have items
if($xml->Items){
	foreach ($xml->Items->Item as $item){
        $link = $item->DetailPageURL;
        $small_image = $item->SmallImage->URL;	
        $medium_image = $item->MediumImage->URL;	
		$asin  = $item->ASIN;
        $title = $item->ItemAttributes->Title;
		$title = str_replace("\"","",$title);
		$title = strtr(utf8_decode($title), 
           '',
           'SOZsozYYuAAAAAAACEEEEIIIIDNOOOOOOUUUUYsaaaaaaaceeeeiiiionoooooouuuuyy');
		$reviews = $item->CustomerReviews->IFrameURL;
		$amaniche_amazon_scrape_rating=get_option('amaniche_amazon_scrape_rating');
			if($amaniche_amazon_scrape_rating=="yes"){
			$scrape_result = amaniche_scrape_rating($reviews);
			$num_reviews = $scrape_result[num_reviews];
  		    $rating = $scrape_result[rating];
			}
		
		$amz_price= $item->OfferSummary->LowestNewPrice->Amount;
		$currency = $item->OfferSummary->LowestNewPrice->CurrencyCode;						
		$description= $item->EditorialReviews->EditorialReview->Content;
		$description = str_replace("\"","",$description);
		if ($amz_price==""){
		$amz_price= $item->ItemAttributes->ListPrice->Amount;
		$currency = $item->ItemAttributes->ListPrice->CurrencyCode;
		}
		$amz1_price=substr($amz_price, 0, -2);
		$amz2_price=substr($amz_price, -2);
		$amazon_price =$amz1_price;
		$amazon_price .=".";
		$amazon_price .=$amz2_price;
				if($item->VariationSummary->LowestPrice){
                $currency = $item->VariationSummary->LowestPrice->CurrencyCode;
                $low_price = $item->VariationSummary->LowestPrice->Amount;
		$lowprice1=substr($low_price, 0, -2);
		$lowprice2=substr($low_price, -2);
		$low_price =$lowprice1;
		$low_price .=".";
		$low_price.=$lowprice2;
                $amazon_price = $low_price;
}

		if($item->VariationSummary->HighestPrice){
                $high_price = $item->VariationSummary->HighestPrice->Amount;
		$highprice1=substr($high_price, 0, -2);
		$highprice2=substr($high_price, -2);
		$high_price =$highprice1;
		$high_price .=".";
		$high_price.=$highprice2;
}
 		//in case there is a variation called lowest saleprice
		if($item->VariationSummary->LowestSalePrice){	

        $currency = $item->VariationSummary->LowestSalePrice->CurrencyCode;
        $low_price = $item->VariationSummary->LowestSalePrice->Amount;
		$lowprice1=substr($low_price, 0, -2);
		$lowprice2=substr($low_price, -2);
		$low_price =$lowprice1;
		$low_price .=".";
		$low_price.=$lowprice2;
        $amazon_price = $low_price;
}
 		if($item->VariationSummary->HighestSalePrice){
                $high_price = $item->VariationSummary->HighestSalePrice->Amount;
		$highprice1=substr($high_price, 0, -2);
		$highprice2=substr($high_price, -2);
		$high_price =$highprice1;
		$high_price .=".";
		$high_price.=$highprice2;
}	
		
		$list_price = $item->ItemAttributes->ListPrice->Amount;
		$amz1_list_price=substr($list_price, 0, -2);
		$amz2_list_price=substr($list_price, -2);
		$ama_list_price =$amz1_list_price;
		$ama_list_price .=".";
		$ama_list_price.=$amz2_list_price;
		
		$insert = "INSERT INTO " . $amazon_products_related .
            " (id, asin_id, product_id,product_name, price, listprice, currency, type, product_url, product_image, rating, num_reviews, review_url,updated) " .
            "VALUES ('','" . $wpdb->escape($asin) . "','" . $wpdb->escape($product_id) . "','" . $wpdb->escape($title) . "','" . $wpdb->escape($amazon_price) . "','" . $wpdb->escape($ama_list_price) . "','" . $wpdb->escape($currency) . "','" . $wpdb->escape($type) . "','" . $wpdb->escape($link) . "', '" . $wpdb->escape($medium_image) . "', '" . $wpdb->escape($rating) . "','" . $wpdb->escape($num_reviews) . "','" . $wpdb->escape($reviews) . "',NOW())";
$results = $wpdb->query($insert);
		
	}//end for each item
}//end if
}//end function		

function AmanicheSpin($txt){
$test = preg_match_all("#\{(.*?)\}#", $txt, $out);
if (!$test) return $txt;
$toFind = Array();
$toReplace = Array();
foreach($out[0] AS $id => $match){
$choices = explode("|", $out[1][$id]);
$toFind[]=$match;
$toReplace[]=trim($choices[rand(0, count($choices)-1)]);
}
return str_replace($toFind, $toReplace, $txt);
}

function AmanicheAttributeSpin($txt, $product_id){
global $table_prefix;
$amazon_products_attributes = $table_prefix . "amazon_products_attributes";
$test = preg_match_all("#\[(.*?)\]#", $txt, $out);
if (!$test) return $txt;
$toFind = Array();
$toReplace = Array();
foreach($out[0] AS $id => $match){
$attribute = $out[1][$id];
$sql_main = @mysql_query("SELECT * from $amazon_products_attributes where (name='$attribute') AND (product_id='$product_id')");
$Rij = @mysql_fetch_array($sql_main);
$toReplace[]=$Rij[att_val];
$toFind[]=$match;
}
return str_replace($toFind, $toReplace, $txt);
}


function amaniche_smart_category($postid, $price, $rating){
global $table_prefix, $wpdb;
$amaniche_menu = $table_prefix . "amazon_menu";
$amazon_attributes_code = $table_prefix . "amazon_attributes_code";
$amazon_product_attributes = $table_prefix . "amazon_products_attributes";
$wp_cat_terms = $table_prefix . "terms";
$wp_cat_terms_tax = $table_prefix . "term_taxonomy";

$results = @mysql_query("select $amaniche_menu.id as menu_id,$amaniche_menu.name as menu_name,$amaniche_menu.attributes,$amaniche_menu.parent,$amazon_attributes_code.id as code_id, $amazon_attributes_code.name as code_name from $amaniche_menu,$amazon_attributes_code where $amaniche_menu.attributes=$amazon_attributes_code.id AND (cat_type='main')");
//are there results if so lets do some magic
$num_rows = @mysql_num_rows($results);
if ($num_rows!=0){
while ($Rij = @mysql_fetch_array($results))
  {
  $cats_done="no";
  $cat_id = $Rij[menu_id];
  $att_id = $Rij[code_id];
  $att_name = $Rij[code_name];
  
  if ($att_id=="221"){
  //prices category
  $results2 = @mysql_query("select * from $amaniche_menu where (price_start<'$price') ORDER BY priority desc limit 0,1");
  $Rij2 = @mysql_fetch_array($results2);
  $category_id = $Rij2[id];  
  $cats_done="yes";
  }
  
  if ($att_id=="219"){
  //rating category
  $cats_done="yes";
  $results2 = @mysql_query("select * from $amaniche_menu where (priority='$rating') AND (attributes='219')");
  $Rij2 = @mysql_fetch_array($results2);
  $category_id = $Rij2[id];
  }  
  
  if ($cats_done!="yes"){
  //dealing with an attribute category. parent category number is cat_id. lets see first what the attribute value is for this product 
  $results2 = @mysql_query("select * from $amazon_product_attributes where (post_id='$postid') AND (name='$att_name')");
  $Rij2 = @mysql_fetch_array($results2);
  $cat_name = $Rij2[att_val];
  //now have a look if we can find a match for this category name in the db. if we have a result we will add it to that else we need to create a new category in wp
  $results2 = @mysql_query("select $wp_cat_terms.term_id as id,$wp_cat_terms.name from $wp_cat_terms, $wp_cat_terms_tax where ($wp_cat_terms.name='$cat_name') AND $wp_cat_terms.term_id = $wp_cat_terms_tax.term_taxonomy_id  AND ($wp_cat_terms_tax.parent='$cat_id')");
  $num_rows2 = @mysql_num_rows($results2);
  if ($num_rows2!=0){
  $Rij2 = @mysql_fetch_array($results2);
  $category_id = $Rij2[id];
  }else{
  $category_id = wp_create_category($cat_name,$cat_id);
  }
  }
  
  $post_categories=wp_get_post_categories($postid);
  $post_categories[]=$category_id;
  wp_set_post_categories( $postid, $post_categories);
  }}


}

function amaniche_add_to_endprice_category($endprice, $cat_id){
global $table_prefix, $wpdb;
$amazon_products = $table_prefix . "amazon_products";
$results = @mysql_query("select * from $amazon_products where (price>$endprice)");
while ($Rij = @mysql_fetch_array($results))
  {
  $post_ID= $Rij[post_id];
  $post_categories=wp_get_post_categories($post_ID);
  $post_categories[]=$cat_id;
  wp_set_post_categories( $post_ID, $post_categories);
  }
}

function amaniche_show_attributes(){
global $table_prefix, $wpdb;
$amazon_attributes = $table_prefix . "amazon_products_attributes";
$do_not_show_attributes=array('image_set_num','image', 'thumbnail','hpbottom','thesis_thumb',
'thesis_thumb_alt','product_image','product_thumb_image','product_url','prod_url','product_link',
'product_rating','image_small_1','image_medium_1','image_large_1','image_small_2','image_medium_2',
'image_large_2','image_small_3','image_medium_3','image_large_3','image_small_4','image_medium_4',
'image_large_4','image_small_5','image_medium_5','image_large_5','image_small_6','image_medium_6','image_large_6',
'image_small_7','image_medium_7','image_large_7','image_small_8','image_medium_8','image_large_8','image_small_9','image_medium_9','image_large_9','image_small_10','image_medium_10','image_large_10','main_image_small','main_image_large','Item','currency_sign','image_large_8','image_medium_8','image_small_8','Item_height','Item_length','Item_weight','Item_width','Package_height','Package_length','Package_weight','Package_width','PackageQuantity');


$results = @mysql_query("select distinct name from $amazon_attributes order by name");
while ($Rij = @mysql_fetch_array($results))
  {
  $attribute= $Rij[name];
  if (in_array($attribute, $do_not_show_attributes)) {
    }else{
	echo "<br>$attribute ";
	}
  
  }


}

function amaniche_add_to_rating_category($i, $cat_id){
global $table_prefix, $wpdb;
$amazon_products = $table_prefix . "amazon_products";
$results = @mysql_query("select * from $amazon_products where (rating='$i')");
while ($Rij = @mysql_fetch_array($results))
  {
  $post_ID= $Rij[post_id];
  $post_categories=wp_get_post_categories($post_ID);
  $post_categories[]=$cat_id;
  wp_set_post_categories( $post_ID, $post_categories);
  }
}

function amaniche_add_to_price_category($startprice,$endprice, $cat_id){
global $table_prefix, $wpdb;
$amazon_products = $table_prefix . "amazon_products";
$results = @mysql_query("select * from $amazon_products where (price>$startprice) AND (price<$endprice)");
while ($Rij = @mysql_fetch_array($results))
  {
  $post_ID= $Rij[post_id];
  $post_categories=wp_get_post_categories($post_ID);
  $post_categories[]=$cat_id;
  wp_set_post_categories( $post_ID, $post_categories);
  }
}

function amaniche_add_to_category($category, $category_id){
global $table_prefix, $wpdb;
$amazon_product_attributes = $table_prefix . "amazon_products_attributes";
$results = @mysql_query("select * from $amazon_product_attributes where (att_val='$category')");
while ($Rij = @mysql_fetch_array($results))
  {
  $post_ID= $Rij[post_id];
  $post_categories=wp_get_post_categories($post_ID);
  $post_categories[]=$category_id;
  wp_set_post_categories( $post_ID, $post_categories);
  }
}


function amaniche_add_to_main($amaniche_main_category){
global $table_prefix, $wpdb;
$amazon_products = $table_prefix . "amazon_products";
$results = @mysql_query("select * from $amazon_products");
while ($Rij = @mysql_fetch_array($results))
  {
  $post_ID= $Rij[post_id];
  $post_categories=wp_get_post_categories($post_ID);
  $post_categories[]=$id;
  wp_set_post_categories( $post_ID, $post_categories);
  }
}



function amaniche_update_asin($feedURL, $product_id,$type, $thePostID){
global $table_prefix, $wpdb;
$amazon_products_related = $table_prefix . "amazon_products_related";
$amazon_products = $table_prefix . "amazon_products";
$amazon_post_meta = $table_prefix . "postmeta";
$pathurl = get_bloginfo(wpurl);

$ch = curl_init();
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_URL, $feedURL);
$data = curl_exec($ch);
curl_close($ch);

$xml                     = simplexml_load_string($data);
$mark                     = $xml->TotalPages;
$error                     = $xml->ErrorMsg;

// check to see if we have items
if($xml->Items){
	foreach ($xml->Items->Item as $item){
		$reviews = $item->CustomerReviews->IFrameURL;
		$amz_price= $item->OfferSummary->LowestNewPrice->Amount;
		if ($amz_price==""){
		$amz_price= $item->ItemAttributes->ListPrice->Amount;
		}
		$amz1_price=substr($amz_price, 0, -2);
		$amz2_price=substr($amz_price, -2);
		$amazon_price =$amz1_price;
		$amazon_price .=".";
		$amazon_price .=$amz2_price;
		
				if($item->VariationSummary->LowestPrice){
                $currency = $item->VariationSummary->LowestPrice->CurrencyCode;
                $low_price = $item->VariationSummary->LowestPrice->Amount;
		$lowprice1=substr($low_price, 0, -2);
		$lowprice2=substr($low_price, -2);
		$low_price =$lowprice1;
		$low_price .=".";
		$low_price.=$lowprice2;
                $amazon_price = $low_price;
}

		if($item->VariationSummary->HighestPrice){
                $high_price = $item->VariationSummary->HighestPrice->Amount;
		$highprice1=substr($high_price, 0, -2);
		$highprice2=substr($high_price, -2);
		$high_price =$highprice1;
		$high_price .=".";
		$high_price.=$highprice2;
}
 		//in case there is a variation called lowest saleprice
		if($item->VariationSummary->LowestSalePrice){	

        $currency = $item->VariationSummary->LowestSalePrice->CurrencyCode;
        $low_price = $item->VariationSummary->LowestSalePrice->Amount;
		$lowprice1=substr($low_price, 0, -2);
		$lowprice2=substr($low_price, -2);
		$low_price =$lowprice1;
		$low_price .=".";
		$low_price.=$lowprice2;
        $amazon_price = $low_price;
}
 		if($item->VariationSummary->HighestSalePrice){
                $high_price = $item->VariationSummary->HighestSalePrice->Amount;
		$highprice1=substr($high_price, 0, -2);
		$highprice2=substr($high_price, -2);
		$high_price =$highprice1;
		$high_price .=".";
		$high_price.=$highprice2;
}	
		if ($type=="main_products"){
		$amaniche_table = $amazon_products;
		$sql = "UPDATE $amazon_post_meta SET meta_value='$amazon_price' where (post_id='$thePostID') and (meta_key='price')";
		$results = $wpdb->query($sql);
		}else{
		$amaniche_table =$amazon_products_related;
		}
		$sql = "UPDATE $amaniche_table SET price='$amazon_price',review_url='$reviews',updated=NOW() where (id='$product_id')";
		$results = $wpdb->query($sql);
	}//end for each item
}//end if
}//end function


//widgets

function wpamaniche_widget_1_init()
{
  register_sidebar_widget(__('AmaNiche Menu Module'), 'wpamaniche_widget_1');   
  register_widget_control(   'AmaNiche Menu Module', 'wpamaniche_widget_1_control', 300, 200 );   
}

function wpamaniche_widget_1_control()
{
  $title = get_option("wpamaniche_widget_1_title");
  if ($title==""){$title = "Menu Module";}
    if ($_POST['wpamaniche_widget_1-Submit'])
  {
    $title = htmlspecialchars($_POST['wpamaniche_widget_1_title']);
	$category = $_POST['category'];
	update_option("wpamaniche_widget_1_title", $title);
    update_option("wpamaniche_widget_1_category", $category);
  }
$num_widget=1;
wpamaniche_widget_control_show($title,$num_widget);
}

function wpamaniche_widget_1($args) {
global $wpdb,$pathurl_nichesite,$post,$table_prefix,$amazon_menu;
extract($args);
$category = get_option("wpamaniche_widget_1_category");
  $title = get_option("wpamaniche_widget_1_title");
amaniche_display_widget($category,$title);
}


function wpamaniche_widget_2_init()
{
  register_sidebar_widget(__('AmaNiche Menu 2'), 'wpamaniche_widget_2');   
  register_widget_control(   'AmaNiche Menu 2', 'wpamaniche_widget_2_control', 300, 200 );   
}

function wpamaniche_widget_2_control()
{
  $title = get_option("wpamaniche_widget_2_title");
  if ($title==""){$title = "Menu Module";}
    if ($_POST['wpamaniche_widget_2-Submit'])
  {
    $title = htmlspecialchars($_POST['wpamaniche_widget_2_title']);
	$category = $_POST['category'];
	update_option("wpamaniche_widget_2_title", $title);
    update_option("wpamaniche_widget_2_category", $category);
  }
$num_widget=2;
wpamaniche_widget_control_show($title,$num_widget);
}

function wpamaniche_widget_2($args) {
global $wpdb,$pathurl_nichesite,$post,$table_prefix,$amazon_menu;
extract($args);
$category = get_option("wpamaniche_widget_2_category");
  $title = get_option("wpamaniche_widget_2_title");
amaniche_display_widget($category,$title);
}

function wpamaniche_widget_3_init()
{
  register_sidebar_widget(__('AmaNiche Menu 3'), 'wpamaniche_widget_3');   
  register_widget_control(   'AmaNiche Menu 3', 'wpamaniche_widget_3_control', 300, 200 );   
}

function wpamaniche_widget_3_control()
{
  $title = get_option("wpamaniche_widget_3_title");
  if ($title==""){$title = "Menu Module";}
    if ($_POST['wpamaniche_widget_3-Submit'])
  {
    $title = htmlspecialchars($_POST['wpamaniche_widget_3_title']);
	$category = $_POST['category'];
	update_option("wpamaniche_widget_3_title", $title);
    update_option("wpamaniche_widget_3_category", $category);
  }
$num_widget=3;
wpamaniche_widget_control_show($title,$num_widget);
}

function wpamaniche_widget_3($args) {
global $wpdb,$pathurl_nichesite,$post,$table_prefix,$amazon_menu;
extract($args);
$category = get_option("wpamaniche_widget_3_category");
  $title = get_option("wpamaniche_widget_3_title");
amaniche_display_widget($category,$title);
}

function wpamaniche_widget_4_init()
{
  register_sidebar_widget(__('AmaNiche Menu 4'), 'wpamaniche_widget_4');   
  register_widget_control(   'AmaNiche Menu 4', 'wpamaniche_widget_4_control', 300, 200 );   
}

function wpamaniche_widget_4_control()
{
  $title = get_option("wpamaniche_widget_4_title");
  if ($title==""){$title = "Menu Module";}
    if ($_POST['wpamaniche_widget_4-Submit'])
  {
    $title = htmlspecialchars($_POST['wpamaniche_widget_4_title']);
	$category = $_POST['category'];
	update_option("wpamaniche_widget_4_title", $title);
    update_option("wpamaniche_widget_4_category", $category);
  }
$num_widget=4;
wpamaniche_widget_control_show($title,$num_widget);
}

function wpamaniche_widget_4($args) {
global $wpdb,$pathurl_nichesite,$post,$table_prefix,$amazon_menu;
extract($args);
$category = get_option("wpamaniche_widget_4_category");
  $title = get_option("wpamaniche_widget_4_title");
amaniche_display_widget($category,$title);
}

function wpamaniche_widget_5_init()
{
  register_sidebar_widget(__('AmaNiche Menu 5'), 'wpamaniche_widget_5');   
  register_widget_control(   'AmaNiche Menu 5', 'wpamaniche_widget_5_control', 300, 200 );   
}

function wpamaniche_widget_5_control()
{
  $title = get_option("wpamaniche_widget_5_title");
  if ($title==""){$title = "Menu Module";}
    if ($_POST['wpamaniche_widget_5-Submit'])
  {
    $title = htmlspecialchars($_POST['wpamaniche_widget_5_title']);
	$category = $_POST['category'];
	update_option("wpamaniche_widget_5_title", $title);
    update_option("wpamaniche_widget_5_category", $category);
  }
$num_widget=5;
wpamaniche_widget_control_show($title,$num_widget);
}

function wpamaniche_widget_5($args) {
global $wpdb,$pathurl_nichesite,$post,$table_prefix,$amazon_menu;
extract($args);
$category = get_option("wpamaniche_widget_5_category");
  $title = get_option("wpamaniche_widget_5_title");
amaniche_display_widget($category,$title);
}

function wpamaniche_widget_6_init()
{
  register_sidebar_widget(__('AmaNiche Menu 6'), 'wpamaniche_widget_6');   
  register_widget_control(   'AmaNiche Menu 6', 'wpamaniche_widget_6_control', 300, 200 );   
}

function wpamaniche_widget_6_control()
{
  $title = get_option("wpamaniche_widget_6_title");
  if ($title==""){$title = "Menu Module";}
    if ($_POST['wpamaniche_widget_6-Submit'])
  {
    $title = htmlspecialchars($_POST['wpamaniche_widget_6_title']);
	$category = $_POST['category'];
	update_option("wpamaniche_widget_6_title", $title);
    update_option("wpamaniche_widget_6_category", $category);
  }
$num_widget=6;
wpamaniche_widget_control_show($title,$num_widget);
}

function wpamaniche_widget_6($args) {
global $wpdb,$pathurl_nichesite,$post,$table_prefix,$amazon_menu;
extract($args);
$category = get_option("wpamaniche_widget_6_category");
$title = get_option("wpamaniche_widget_6_title");
amaniche_display_widget($category,$title);
}


function amaniche_display_widget($category,$title){
global $wpdb,$pathurl_nichesite,$post,$table_prefix,$amazon_menu;
  if ($title=="")
        {
                $title = "";
  }      
    echo"<ul class=\"menu_ul\"><h2> $title</h2>";
	$results = @mysql_query("select * from $amazon_menu where (id='$category')");
	$Rij = @mysql_fetch_array($results);
	$att_id = $Rij[attributes];
	if ($att_id=="221"){
	   	  $results2 = @mysql_query("select * from $amazon_menu where (parent='$category') order by priority");
		  while ($Rij2 = @mysql_fetch_array($results2))
  		  {
		  $subcat_id = $Rij2[id];
		  $option = '<li>';
		  $category_link = get_category_link($subcat_id);
		  $option .= "<a href=\"$category_link\">";
		  $option .= $Rij2[name];
		  $option .= '</a></li>';
		  echo $option;
		  }
	
	}else{
	
	if ($att_id=="219"){
	
	$results2 = @mysql_query("select * from $amazon_menu where (parent='$category') order by priority desc");
		  while ($Rij2 = @mysql_fetch_array($results2))
  		  {
		  $subcat_id = $Rij2[id];
		  $option = '<li>';
		  $category_link = get_category_link($subcat_id);
		  $option .= "<a href=\"$category_link\">";
		  $option .= "<img src=\"$pathurl_nichesite";
	   	  $option .= "images/rating_star_";
	      $option .=$Rij2[priority];
	   	  $option .=".gif\" border=\"0\" alt=\"";
		  $option .= $Rij2[name];
		  $option .= "\" title=\"$Rij2[name]\"></a></li>";
		  echo $option;
		  }
	}else{
	$categories=  get_categories("child_of=$category"); 
  	foreach ($categories as $cat) {
  	$option = '<li>';
	$lcat_id= $cat->term_id;
	$category_link = get_category_link($lcat_id);
	$option .= "<a href=\"$category_link\">";
	$option .= $cat->cat_name;
	$option .= ' ('.$cat->category_count.')';
	$option .= '</a></li>';
	echo $option;
	}
  }}
echo "</ul><br><div id=\"bottom_border\"></div>";

}

function wpamaniche_widget_control_show($title,$num_widget){
global $wpdb,$pathurl_nichesite,$post,$table_prefix,$amazon_menu;
$amazon_menu = $table_prefix . "amazon_menu";
?>
  <p>
  <table border="0"><tr>
  <td><label for="wpamaniche_widget_<?php echo $num_widget;?>_title">Widget Title: </label></td>
  <td><input type="text" id="wpamaniche_widget_<?php echo $num_widget;?>_title" name="wpamaniche_widget_<?php echo $num_widget;?>_title" value="<?php echo $title;?>" /><br></td>
  </tr><tr><td><label for="wpamaniche_widget_<?php echo $num_widget;?>_title">Select Module: </label></td>
	<td>
	<select name="category">
	<?php
	$widget_cat = "wpamaniche_widget_";
	$widget_cat .=$num_widget;
	$widget_cat .="_category";
    $wpamaniche_widget_category =get_option($widget_cat);
	$results = @mysql_query("select * from $amazon_menu where (cat_type='main') order by name");
	while ($Rij = @mysql_fetch_array($results))
  		  {
		  $cat_id=$Rij[id];
		  ?>
		  <option value="<?php echo $cat_id;?>" <?php if($cat_id==$wpamaniche_widget_category){echo "selected";}?>><?php echo$Rij[name];?></option>
		  <?php
  }
	
	?>
	</select>
	<input type="hidden" id="wpamaniche_widget_<?php echo $num_widget;?>-Submit" name="wpamaniche_widget_<?php echo $num_widget;?>-Submit" value="1" /></td></tr>
	</table>
  </p>
<?php
} 


function amaniche_droplet_update_price($asin){
global $ama_tld,$public_key, $private_key,$amazonAssoc,$table_prefix, $wpdb;;
$feedURL = amaniche_update_signed_request($ama_tld, array("Operation"=>"ItemLookup","ItemId"=>$asin,"ResponseGroup"=>"Medium, Reviews","AssociateTag"=>$amazonAssoc), $public_key, $private_key);
$amazon_products = $table_prefix . "amazon_products";
$ch = curl_init();
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_URL, $feedURL);
$data = curl_exec($ch);
curl_close($ch);

$xml                     = @simplexml_load_string($data);
$mark                     = $xml->TotalPages;
$error                     = $xml->ErrorMsg;

// check to see if we have items
if($xml->Items){
	foreach ($xml->Items->Item as $item){
		$amz_price= $item->OfferSummary->LowestNewPrice->Amount;
		if ($amz_price==""){
		$amz_price= $item->ItemAttributes->ListPrice->Amount;
		}
		$amz1_price=substr($amz_price, 0, -2);
		$amz2_price=substr($amz_price, -2);
		$amazon_price =$amz1_price;
		$amazon_price .=".";
		$amazon_price .=$amz2_price;

		$sql = "UPDATE $amaniche_table SET price='$amazon_price',updated=NOW() where (asin_id='$asin')";
		$results = $wpdb->query($sql);
	}//end for each item
}//end if
}//end function



function amaniche_get_ebay_content(){
global $wpdb,$post,$table_prefix;
$typelayout =get_option('ebay_layout');
if ($typelayout==""){$typelayout="basic";}
$post_ID = $post->ID;
$keyword = get_post_meta($post_ID, 'amaniche_ebay_keywords', true);
if ($keyword==""){
$keyword ="";
}

$results ="<div style=\"clear:both;\"></div><div id=\"ebay_content\">";
$results .="<img src=\"";
$results .=get_bloginfo('wpurl');
$results .="/wp-content/plugins/amaniche/images/ebay.gif\">";	
if ($typelayout=="basic"){$results .="<table>";}
if ($typelayout=="text"){$results .="<table>";}
if ($typelayout=="tags"){
$query = $keyword;  // Supply a query
$query = str_replace(" ","%20",$keyword);
$ebay_url ="http://open.api.ebay.com/shopping?callname=FindPopularSearches&responseencoding=XML&appid=EdwinBoi-afd2-4ef1-880d-927ea6833f3e&siteid=";
$ebay_url .=$ebay_country;
$ebay_url .="&version=581&QueryKeywords=";
$ebay_url .=$query;
}else{
$ebay_url = get_amaniche_ebay_url($keyword);
}

$resp = @simplexml_load_file($ebay_url);
if ($typelayout=="tags"){

$baypress_tags_related = get_option('baypress_tags_related');
$baypress_tags_alternative = get_option('baypress_tags_alternative');
$ebay_campaign = get_option('amaniche_ebaylist_campaignid');
	$results = "<div id=\"baypress_tags\"><h2>$baypress_tags_related</h2>";

    // If the response was loaded, parse it and build links
	$alt_keywords  = $resp->PopularSearchResult->AlternativeSearches;
    $rel_keywords  = $resp->PopularSearchResult->RelatedSearches;
	
$tag_keywords = explode(";", $rel_keywords);
for($i = 0; $i < count($tag_keywords); $i++){

		$nice_link = get_bloginfo('url');
		$nice_link .="/shop.php?shop=";
		$nice_link .=$ebay_campaign;
		$nice_link .="&tag=";	
		$nice_link .=$tag_keywords[$i];
$results .="<a href=\"$nice_link\" target=\"_blank\">$tag_keywords[$i]</a> ";
}	

$results .="<br/><h2>$baypress_tags_alternative</h2>";

$tag_alt_keywords = explode(";", $alt_keywords);
for($i = 0; $i < count($tag_alt_keywords); $i++){

		$nice_link = get_bloginfo('url');
		$nice_link .="/shop.php?shop=";
		$nice_link .=$ebay_campaign;
		$nice_link .="&tag=";	
		$nice_link .=$tag_alt_keywords[$i];
$results .="<a href=\"$nice_link\" target=\"_blank\">$tag_alt_keywords[$i]</a> ";
}
$results .="</div>";
	
}else{
$results .= amanice_ebay_output($resp,$typelayout);
}

if ($typelayout=="basic"){$results .="</table>";}
if ($typelayout=="text"){$results .="</table>";}
$results .="</div>";
return $results;
}



function amaniche_ebay_generate_output($content) {
if (preg_match( "<!-- baypress\((.+)\) -->",$content, $arr)){
$keyword = $arr[1];
$typelayout="basic";
$amaniche_start_key ='<!-- baypress(' . $keyword . ') -->';
}

if (preg_match( "<!-- baypress_tags\((.+)\) -->",$content, $arr)){
$keyword = $arr[1];
$typelayout="tags";
$amaniche_start_key ='<!-- baypress_tags(' . $keyword . ') -->';
}

if (preg_match( "<!-- baypress_gallery\((.+)\) -->",$content, $arr)){
$keyword = $arr[1];
$typelayout="gallery";
$amaniche_start_key ='<!-- baypress_gallery(' . $keyword . ') -->';
}

if (preg_match( "<!-- baypress_text\((.+)\) -->",$content, $arr)){
$keyword = $arr[1];
$typelayout="text";
$amaniche_start_key ='<!-- baypress_text(' . $keyword . ') -->';
}

if (preg_match( "<!-- baypress_grid\((.+)\) -->",$content, $arr)){
$keyword = $arr[1];
$typelayout="grid";
$amaniche_start_key ='<!-- baypress_grid(' . $keyword . ') -->';
}


if ($keyword!=""){
if ($typelayout=="tags"){
$query = $keyword;  // Supply a query
$query = str_replace(" ","%20",$keyword);
$ebay_url ="http://open.api.ebay.com/shopping?callname=FindPopularSearches&responseencoding=XML&appid=EdwinBoi-afd2-4ef1-880d-927ea6833f3e&siteid=";
$ebay_url .=$ebay_country;
$ebay_url .="&version=581&QueryKeywords=";
$ebay_url .=$query;
}else{
$ebay_url = get_amaniche_ebay_url($keyword);
}
$resp = simplexml_load_file($ebay_url);
// Check to see if the response was loaded, else print no items found
if ($resp) {

$results = amaniche_ebay_above();

if ($typelayout=="tags"){

$baypress_tags_related = get_option('baypress_tags_related');
$baypress_tags_alternative = get_option('baypress_tags_alternative');
$ebay_campaign = get_option('amaniche_ebaylist_campaignid');
	$results = "<div id=\"baypress_tags\"><h2>$baypress_tags_related</h2>";

    // If the response was loaded, parse it and build links
	$alt_keywords  = $resp->PopularSearchResult->AlternativeSearches;
    $rel_keywords  = $resp->PopularSearchResult->RelatedSearches;
	
$tag_keywords = explode(";", $rel_keywords);
for($i = 0; $i < count($tag_keywords); $i++){

		$nice_link = get_bloginfo('url');
		$nice_link .="/shop.php?shop=";
		$nice_link .=$ebay_campaign;
		$nice_link .="&tag=";	
		$nice_link .=$tag_keywords[$i];
$results .="<a href=\"$nice_link\" target=\"_blank\">$tag_keywords[$i]</a> ";
}	

$results .="<br/><h2>$baypress_tags_alternative</h2>";

$tag_alt_keywords = explode(";", $alt_keywords);
for($i = 0; $i < count($tag_alt_keywords); $i++){

		$nice_link = get_bloginfo('url');
		$nice_link .="/shop.php?shop=";
		$nice_link .=$ebay_campaign;
		$nice_link .="&tag=";	
		$nice_link .=$tag_alt_keywords[$i];
$results .="<a href=\"$nice_link\" target=\"_blank\">$tag_alt_keywords[$i]</a> ";
}
$results .="</div>";
	
}else{
$results .= amanice_ebay_output($resp,$typelayout);
}
$results .= "</table></p>";   
}else {
$results = "No items found at eBay for $keyword";
}
$results .= "<div id=\"clear\"></div>";
$ebay_key = $arr[1];
$content = str_replace($amaniche_start_key, $results, $content);
}
return $content;
}


function get_amaniche_ebay_url($keyword){
$ebay_campaign = get_option('amaniche_ebaylist_campaignid');
$ebaylist_display = get_option('amaniche_ebaylist_displayresults');
$ebay_text_results = get_option('amaniche_ebaylist_textresults');
if($ebay_text_results==""){
$ebay_text_results = "<h3>Deals at this moment at eBay</h3><p>Below are the best discounted deals we could find at eBay.";
}
$ebay_country = get_option('amaniche_ebaylist_country');
if($ebay_country==""){
$ebay_country = 0;
}
$ebay_max_results = get_option('amaniche_ebaylist_maxresults');
if($ebay_max_results==""){
$ebay_max_results = 50;
}
$ebay_min_price = get_option('amaniche_ebaylist_minprice');
if($ebay_min_price==""){
$ebay_min_price = 1;
}
$ebay_max_price = get_option('amaniche_ebaylist_maxprice');
if($ebay_max_price==""){
$ebay_max_price = 99999;
}
$ebay_itemsort = get_option('amaniche_ebaylist_itemsort');
if($ebay_itemsort==""){
$ebay_itemsort = "BestMatch";
}
$ebay_itemsortorder = get_option('amaniche_ebaylist_itemsortorder');
if($ebay_itemsortorder==""){
$ebay_itemsortorder = "Descending";
}
$ebay_networkid = get_option('amaniche_ebaylist_networkid');
if($ebay_networkid==""){
$ebay_networkid = "9";
}
$ebay_zipcode = get_option('amaniche_ebaylist_zipcode');
$ebay_zipcode_range = get_option('amaniche_ebay_zipcode_range');
$ebaylist_category = get_option('amaniche_ebaylist_category');
$ebaylist_sellerid = get_option('amaniche_ebaylist_sellerid');
$ebaylist_bids = get_option('amaniche_ebaylist_bids');

$query = $keyword;  // Supply a query
$query = str_replace(" ","%20",$keyword);

$feedURL ="http://open.api.ebay.com/shopping?callname=FindItemsAdvanced&responseencoding=XML&appid=EdwinBoi-afd2-4ef1-880d-927ea6833f3e&siteid=". $ebay_country ."&version=581&QueryKeywords=". $query ."&PriceMax.Value=". $ebay_max_price ."&PriceMin.Value=". $ebay_min_price ."&MaxEntries=". $ebay_max_results ."&ItemSort=". $ebay_itemsort. "&SortOrder=". $ebay_itemsortorder ."&trackingpartnercode=". $ebay_networkid ."&trackingid=". $ebay_campaign;

if ($ebaylist_bids!=""){
$feedURL .="&BidCountMin=". $ebaylist_bids;
}
if ($ebaylist_category!=""){
$feedURL .="&CategoryID=". $ebaylist_category;
}
if ($ebaylist_sellerid!=""){
$feedURL .="&SellerID=". $ebaylist_sellerid;
}
if ($ebay_zipcode!=""){
$feedURL .="&PostalCode=". $ebay_zipcode ."&MaxDistance=". $ebay_zipcode_range;
}
return $feedURL;
}

function amaniche_ebay_above(){
$ebay_text_results = get_option('amaniche_ebaylist_textresults');
	$results = "";
	$results .="<img src=\"";
	$results .=get_bloginfo('wpurl');
	$results .="/wp-content/plugins/amaniche/images/ebay.gif\">";	
	$results .= $ebay_text_results;
	$results .="<table id=\"ebaytable\">";
	return $results;
}

function amaniche_ebay_nice_link($link){
		$ebay_campaign = get_option('amaniche_ebaylist_campaignid');
		$ebay_country = get_option('amaniche_ebaylist_country');
		if ($ebay_country=="0"){
        $link  = str_replace("http://rover.ebay.com/rover/","", $link);
		$pat = "com%2F";
		$nicelink = split($pat, $link);
		$nice_link = get_bloginfo('url');
		$nice_link .="/shop.php?shop=";
		$nice_link .=$ebay_campaign;
		$nice_link .="&id=";				
		$nice_link .= $nicelink[1];
		}else{
		$nice_link = $link;
		}
		return $nice_link;
}
		
function amanice_ebay_end_time($endtime){
	$endtime=str_replace("PT","P",$endtime);
	$endtime=str_replace("P","",$endtime);
	$endtime=str_replace("DT","D",$endtime);	
	$endtime=str_replace("D"," Days ",$endtime);		
	$endtime=str_replace("H"," Hours ",$endtime);	
	$endtime=str_replace("M"," Minutes ",$endtime);
	$endtime=str_replace("S"," Seconds ",$endtime);
	return $endtime;
}


function amaniche_scrape_rating($url){
$ch = curl_init();
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_URL, $url);
$raw_data = curl_exec($ch);
curl_close($ch);
$error_msg = "There are no customer reviews for this item"; 
  		if (strlen(strstr($raw_data,$error_msg))==FALSE) {
          $raw_data = str_replace("out of 5 stars","<splhere>",$raw_data);
          $raw_data = str_replace('" align="absbottom" title="','',$raw_data);
          $raw_data = str_replace("customer reviews</a>)","<splhere>",$raw_data);
          $raw_data = explode("<splhere>",$raw_data);
          $rating = $raw_data[1];
          $rating = strip_tags($rating);
          $rating=trim($rating);
          $scrape_result[rating]=$rating;
		  $reviews = $raw_data[2];
          $reviews = strip_tags($reviews);
          $reviews = explode("(",$reviews);
          $num_reviews = $reviews[1];
          $num_reviews=trim($num_reviews);
		  $scrape_result[num_reviews]=$num_reviews;
  		}else{
		$scrape_result[num_reviews]="";
  		$scrape_result[rating]="";
  		}
return $scrape_result;
}



function amanice_ebay_output($resp,$typelayout){
$x = 1;
    // If the response was loaded, parse it and build links
	
	if ($resp->SearchResult->ItemArray->Item){
	
    foreach($resp->SearchResult->ItemArray->Item as $item) {
        $link  = $item->ViewItemURLForNaturalSearch;
		$nice_link  = amaniche_ebay_nice_link($link);
        $title = $item->Title;
        $bids = $item->BidCount;		
        $image = $item->GalleryURL;
		if ($image==""){
		$image = get_bloginfo(wpurl);
		$image .="/wp-content/plugins/amaniche/images/no_image.jpg";
		}
	    $current_price= $item->ConvertedCurrentPrice;
		$current_price=@number_format($current_price, 2, '.', '');	
	   foreach($item->ConvertedCurrentPrice->attributes() as $a => $b)
       {
	   $currency = $b;
	   }		

	   if ($currency =="USD"){
	   $currency = "$";
       }	

	$time_left=$item->EndTime;
	$time_left=str_replace("T"," ",$time_left);
	$time_left=str_replace("000Z","",$time_left);
	$endtime = amanice_ebay_end_time($item->TimeLeft);
		
		// For each SearchResultItem node, build a link and append it to $results
		if ($x % 2){$tablerow="even";}else{$tablerow="odd";}
		
		switch ($typelayout){
    case "basic":
    $results .= "<tr class=\"$tablerow\" height=\"85\"><td width=\"100px\"><a href=\"$nice_link\" target=\"_blank\"><img src=\"$image\" border=\"0\" alt=\"$title\" heigth=\"80\"></a></td><td  valign=\"top\"><a href=\"$nice_link\" target=\"_blank\"><b>$title</b></a><br>End Time: $time_left<br>Time Left:<font color=\"red\">$endtime</font> </td><td valign=\"top\" width=\"100px\">Current Bid:<br><font color=\"green\" size=\"+1\"><b>$currency $current_price</b></font><br>#Bids: $bids <br/><b><a href=\"$nice_link\" target=\"_blank\">Bid Now</a></b></td></tr>\n";
    break;
    case "text":
    $results .= "<tr class=\"$tablerow\" height=\"85\"><td valign=\"top\"><a href=\"$nice_link\" target=\"_blank\"><b>$title</b></a><br>End Time: $time_left<br>Time Left:<font color=\"red\">$endtime</font> </td><td valign=\"top\">Current Bid:<br><font color=\"green\" size=\"+1\"><b>$currency $current_price</b></font><br>#Bids: $bids <br/><b><a href=\"$nice_link\" target=\"_blank\">Bid Now</a></b></td></tr>\n";
    break;
    case "gallery":
    $results .= "<div id=\"baypress_gallery\"><a href=\"$nice_link\" target=\"_blank\"><img src=\"$image\" border=\"0\" alt=\"$title\" title=\"$title\" heigth=\"80\"></a></div>\n";
    break;
    case "grid":
	$results .= "<div id=\"baypress_grid\"><div id=\"grid_image\"><a href=\"$nice_link\" target=\"_blank\"><img src=\"$image\" border=\"0\" alt=\"$title\" title=\"$title\" heigth=\"80\"></a></div>
		<div id=\"grid_title\"><a href=\"$nice_link\" target=\"_blank\">$title</a></div>
		<div id=\"grid_price\">$currency $current_price</div>
		</div>\n";
    break;
}
		
$x = $x + 1;
	}
return $results;
}
}

function amaniche_grid($cat,$num_res){

}

?>