<div class="wrap">
	<h2>AmaNiche Post Layout Options</h2>
<?php

$filename = dirname(__FILE__);
$function_file =$filename ."/includes/functions.php";
@include_once($function_file);
$actie=$_POST['actie'];

$pathurl = get_bloginfo('url');
$pathurl .="/wp-content/plugins/amaniche/images/";
$amazon_attributes_code = $table_prefix . "amazon_attributes_code";
$amaniche_attributes_code = $table_prefix . "amazon_attributes_code";

if (isset($_POST['actie'])) {

$actie = $_POST['actie'];
if ($actie=="step1"){
$amaniche_layout = $_POST["amaniche_layout"];

if ($amaniche_layout=="simple"){
update_option('amaniche_layout', $amaniche_layout);	
?>
<h2>Simple Layout</h2>
This layout is purely the description and a link to Amazon using your affiliate id. This is ideal for just the basic setup or if you want to add things in a total custom way. You can use any template tags that are available with the products to customize your post layout. 
It will not be in your rss feed but will be on your site. your rss feed will only have the description text and the affiliate link.
<br><br>
	<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	<input type="hidden" name="actie" value="simple_step2" />
    Number of words to use of the description: <input type="text" name="amaniche_num_words" size="15">(<i>leave blank to use the complete description</i>)<br>
	Add eBay auctions: <input type="checkbox" name="add_ebay"><br>
	 <div class="submit">
		<input type="submit" name="info_update" value="Save Settings &raquo;" />
	</div>
	</form>


<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	 <div class="submit">
		<input type="submit" name="info_update" value="Back to Step1 &raquo;" />
	</div>
	</form>
<?php
}//end if step1 simple

if ($amaniche_layout=="default"){
update_option('amaniche_layout', $amaniche_layout);	
?>
<h2>Default Layout</h2>
This layout is a basic layout with an image , the number of reviews and rating, the description and the affiliate links. everything will be in the rss feed also.  You can add in your template custom tags that will show additional information.
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	<input type="hidden" name="actie" value="default_step2" />
	<h2>Step 2</h2> 
	Select the position of the image<br>
	<img src="<?php echo $pathurl;?>/default_image_position.jpg"><br>
	<?php $amaniche_layout_image =get_option('amaniche_layout_image');?>
	<input type="radio" name="amaniche_layout_image" value="left" <?php if($amaniche_layout_image =="left"){echo "checked";}?>>Left<br>
	<input type="radio" name="amaniche_layout_image" value="right" <?php if($amaniche_layout_image =="right"){echo "checked";}?>>Right<br>
	 <div class="submit">
		<input type="submit" name="info_update" value="Select &raquo;" />
	</div>
	</form>
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	 <div class="submit">
		<input type="submit" name="info_update" value="&#171; Back to Step1" />
	</div>
	</form>




<?php
}//end if step2 default


if ($amaniche_layout=="shop"){
update_option('amaniche_layout', $amaniche_layout);	
?>
<h2>Shop Layout</h2>
This layout is an advanced ecommerce layout. Remember that you can edit anything in the advanced layout screen or modify your template to suit your needs. This is just a setup as I like it and you are free to customize it any way you like. Also you can modify the css stylesheet to change the colors, fonts etcetc.
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	<input type="hidden" name="actie" value="shop_step2" />
	<h2>Step 2</h2> 
	<p><strong>Please note</strong> For the shop layout you will need to use a template that gives you enough width for the posts<br>
	The image in the center will be the smallest version and can be used at almost any template but the image to the left or right will need at least 600px to have it nicely layout</p>  
	<p>Select the position of the images<br>
	This is the big main image with the thumbnails below that.<br>
	<img src="<?php echo $pathurl;?>/shop_image_position.jpg"><br>
	<?php $amaniche_layout_image =get_option('amaniche_layout_image');?>
	<input type="radio" name="amaniche_layout_image" value="left" <?php if($amaniche_layout_image =="left"){echo "checked";}?>>Left<br>
	<input type="radio" name="amaniche_layout_image" value="right" <?php if($amaniche_layout_image =="right"){echo "checked";}?>>Right<br>
	<input type="radio" name="amaniche_layout_image" value="center" <?php if($amaniche_layout_image =="center"){echo "checked";}?>>Center<br>

	 <div class="submit">
		<input type="submit" name="info_update" value="Select &raquo;" />
	</div>
	</form>
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	 <div class="submit">
		<input type="submit" name="info_update" value="&#171; Back to Step1" />
	</div>
	</form>


<?php
}//end if step2 shop


if ($amaniche_layout=="ebay"){

?>
<h2>eBay Layout</h2>
This layout is for the eBay auctions that will be displayed with your Amazon products. Again showing eBay auctions is optional. In the option settings you decide how many products to show and other advanced settings just as you like. You have 5 ready made layouts.<br>
<strong>Basic</strong>: image, title, time left, price and number of bids<br>
<strong>Text</strong>: no image, title, time left, price and number of bids<br>
<strong>Grid</strong>: Grid view with image, title and price<br>
<strong>Gallery</strong>: only images in a grid views with no text<br>
<strong>Tags</strong>: related and alernative keywords delivered by eBay<br>
  
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	<input type="hidden" name="actie" value="ebay_step2" />
	<h2>Step 2</h2> 
	Select the layout of the eBay auctions you would like to have
	<img src="<?php echo $pathurl;?>/ebay_layout.jpg"><br>
	<?php $ebay_layout =get_option('ebay_layout');?>
	<input type="radio" name="ebay_layout" value="basic" <?php if($ebay_layout =="basic"){echo "checked";}?>>Basic<br>
	<input type="radio" name="ebay_layout" value="text" <?php if($ebay_layout =="text"){echo "checked";}?>>Text<br>
	<input type="radio" name="ebay_layout" value="gallery" <?php if($ebay_layout =="gallery"){echo "checked";}?>>Gallery<br>
	<input type="radio" name="ebay_layout" value="grid" <?php if($ebay_layout =="grid"){echo "checked";}?>>Grid<br>
	<input type="radio" name="ebay_layout" value="tags" <?php if($ebay_layout =="tags"){echo "checked";}?>>Tags<br>	
	 <div class="submit">
		<input type="submit" name="info_update" value="Select &raquo;" />
	</div>
	</form>
	
	
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	 <div class="submit">
		<input type="submit" name="info_update" value="&#171; Back to Step1" />
	</div>
	</form>


<?php
}//end if step2 ebay


//droplet layout
if ($amaniche_layout=="droplet"){
$layout_text = get_option('amaniche_droplet_layout');
$amaniche_droplet_layout_code =get_option('amaniche_droplet_layout_code');
?>

<h2>Amaniche Droplet Layout</h2>
This layout is for the Amazon droplets that can be displayed in posts and pages.<br>It's ideal if you just want to add an amzon product to a post or a page and do not want to have a complete post about one product<br>
<strong>Basic</strong>: image, title, description, and a link more info<br>
<strong>Features</strong>: image, title, features, and a link more info<br>
<strong>Text</strong>: no image, title, description and a link more info<br>
<strong>Grid</strong>: Grid view with image, title and price<br>
<strong>Gallery</strong>: only image with a link <br>

Below is also the advanced area where you can add your own html code for the droplets
  
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	<input type="hidden" name="actie" value="droplet_step2" />
	<h2>Step 2</h2> 
	Select the layout of the droplet you would like to have
	<img src="<?php echo $pathurl;?>/ebay_layout.jpg"><br>
	<input type="radio" name="amaniche_droplet_layout_code" value="basic" <?php if($amaniche_droplet_layout_code =="basic"){echo "checked";}?>>Basic<br>
	<input type="radio" name="amaniche_droplet_layout_code" value="features" <?php if($amaniche_droplet_layout_code =="features"){echo "checked";}?>>Features<br>
	<input type="radio" name="amaniche_droplet_layout_code" value="text" <?php if($amaniche_droplet_layout_code =="text"){echo "checked";}?>>Text<br>
	<input type="radio" name="amaniche_droplet_layout_code" value="grid" <?php if($amaniche_droplet_layout_code =="grid"){echo "checked";}?>>Gallery<br>
	<input type="radio" name="amaniche_droplet_layout_code" value="gallery" <?php if($amaniche_droplet_layout_code =="gallery"){echo "checked";}?>>Grid<br>

	 <div class="submit">
		<input type="submit" name="info_update" value="Save Layout &raquo;" />
	</div>
	</form>
	
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	<input type="hidden" name="actie" value="droplet_step2" />
	<h2>Advanced layout</h2> 
	You can also modify the HTML if you like. You have the following codes which you can use<br>
	<strong>{image}</strong>: the url of the image <br>
	<strong>{description}</strong>:the raw description. you can edit the description of the product in the manage screen<br>
	<strong>{title}</strong>:the title of the product<br>
	<strong>{price}</strong>:the price including currecny sign<br>
	<strong>{listprice}</strong>:the list price including currecny sign<br>
	<strong>{features}</strong>:the features <br>
	<strong>{link}</strong>: the url of the link at amazon<br>
<textarea name="layout_text" COLS=100 ROWS=20><?php echo $layout_text;?></textarea><br>

	 <div class="submit">
		<input type="submit" name="info_update" value="Save layout &raquo;" />
	</div>
	</form>	
	
	
	
	<br /><br />
	
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	 <div class="submit">
		<input type="submit" name="info_update" value="&#171; Back to Step1" />
	</div>
	</form>


<?php
}//end if step2 ebay


}//end if step1


//step 2 droplet 
if ($actie=="droplet_step2"){
$amaniche_droplet_layout = $_POST["layout_text"];
if ($amaniche_droplet_layout!=""){
$amaniche_droplet_layout = stripslashes($amaniche_droplet_layout);
update_option('amaniche_droplet_layout', $amaniche_droplet_layout);	
$amaniche_droplet_layout_code ="custom";
update_option('amaniche_droplet_layout_code', $amaniche_droplet_layout_code);
}
$amaniche_droplet_layout_code =$_POST["amaniche_droplet_layout_code"];
if ($amaniche_droplet_layout_code!=""){
update_option('amaniche_droplet_layout_code', $amaniche_droplet_layout_code);
//let's put the html in it

	switch ($amaniche_droplet_layout_code){
    case "basic":
    $layout = "<table><tr><td colspan=\"2\">{title}</td></tr><tr><td><a href=\"{plink}\" target=\"_blank\" rel=\"nofollow\"><img src=\"{pimage}\" border=\"0\" alt=\"{title}\" width=\"150\" title=\"{title}\"></a></td><td  valign=\"top\">{description} <a href=\"{plink}\" target=\"_blank\" rel=\"nofollow\">...more info</a></td></tr></table>\n";
    break;
    case "features":
    $layout = "<table><tr><td colspan=\"2\">{title}</td></tr><tr><td><a href=\"{plink}\" target=\"_blank\" rel=\"nofollow\"><img src=\"{pimage}\" border=\"0\" alt=\"{title}\" width=\"150\" title=\"{title}\"></a></td><td  valign=\"top\">{features}<br><a href=\"{plink}\" target=\"_blank\" rel=\"nofollow\">...more info</a></td></tr></table>\n";
    break;
    case "gallery":
    $layout = "<div id=\"droplet_gallery\"><a href=\"{plink}\" target=\"_blank\" rel=\"nofollow\"><img src=\"{pimage}\" border=\"0\" width=\"150\"></a></div>";
    break;
    case "grid":
	$layout ="<div id=\"droplet_grid\"> <a href=\"{plink}\" target=\"_blank\" rel=\"nofollow\"><img src=\"{pimage}\" border=\"0\" width=\"150\"><br>{title}</a><br><strong>{price}</strong></div>";
    break;
    case "text":
    $layout = "<div id=\"droplet_text\"><h2><a href=\"{plink}\" target=\"_blank\" rel=\"nofollow\">{title}</a></h2>{description} <a href=\"{plink}\" target=\"_blank\" rel=\"nofollow\">...more info</a></div>\n";
    break;
}
update_option('amaniche_droplet_layout', $layout);	
}
?>
<div id="message" class="updated fade"><p><strong>Droplet Layout updated</strong></div>

<br><br>
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	 <div class="submit">
		<input type="submit" name="info_update" value="&#171; Back to Step1" />
	</div>
	</form>
<?php

}

if ($actie=="ebay_step2"){
$ebay_layout = $_POST["ebay_layout"];
update_option('ebay_layout', $ebay_layout);	
?>
<div id="message" class="updated fade"><p><strong>eBay Layout updated</strong></div>
<p>You can set the options like number of auctions in the option screen</p>
<br><br>
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	 <div class="submit">
		<input type="submit" name="info_update" value="&#171; Back to Step1" />
	</div>
	</form>
<?php
}




if ($actie=="simple_step2"){
$amaniche_layout_image = $_POST["amaniche_layout_image"];
update_option('amaniche_layout_image', $amaniche_layout_image);	
$amaniche_num_words = $_POST["amaniche_num_words"];
update_option('amaniche_num_words', $amaniche_num_words);	
$amaniche_postlayout = "{description}";
update_option('amaniche_postlayout', $amaniche_postlayout);

$onoff = $_POST['add_ebay'];
if($onoff=="on"){
update_option('amaniche_add_ebay', 'yes');
}else{
update_option('amaniche_add_ebay', 'no');
}
?>
<h2>Simple Layout</h2>
<div id="message" class="updated fade"><p><strong>Options updated</strong></p></div>
This layout is purely the description and a link to Aamzon using your affiliate id. This is ideal for just the basic setup or if you want to add things in a total custom way. You can use any template tags that are available with the products to customize your post layout. 
It will not be in your rss feed but will be on your site. your rss feed will only have the description text and the affiliate link.
<br><br>
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	 <div class="submit">
		<input type="submit" name="info_update" value="&#171; Back to Step1" />
	</div>
	</form>
<?php
}

if ($actie=="default_step2"){
$amaniche_layout_image = $_POST["amaniche_layout_image"];
update_option('amaniche_layout_image', $amaniche_layout_image);	
?>
<div id="message" class="updated fade"><p><strong>Options updated</strong></p></div>
<h2>Step 3 (Final)</h2>
<p>Select what you want next to the image. You have 5 places where you can add for instance, price, average rating, number of reviews, model, brand, author etcetc. below that will appear the description and you indicate how many words. If you add content of your own you can do that in the normal wordpress edit post screen. any code that is that post you will need to leave as is as that is part of the magic of the plugin. </p>
<p>You do not have to use all of the 5 options , you can even leave it blank if you like. Lable is what will be printed infront of the option.</p>
<p>There are many options but not all will be available to your kind of items. Only select those that are related to you. For instance if you have a site about digital cameras it is not making sence of selecting actor as that field will be empty or if you have a site about books and dvd's of Harry Potter the field ClothingSize will not make sence.</p>

	
		<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	<input type="hidden" name="actie" value="default_step3" />
<?php 
$default_position_1 =get_option('default_position_1');
$default_position_2 =get_option('default_position_2');
$default_position_3 =get_option('default_position_3');
$default_position_4 =get_option('default_position_4');
$default_position_5 =get_option('default_position_5');

$default_position_label_1 =get_option('default_position_label_1');
$default_position_label_2 =get_option('default_position_label_2');
$default_position_label_3 =get_option('default_position_label_3');
$default_position_label_4 =get_option('default_position_label_4');
$default_position_label_5 =get_option('default_position_label_5');


$itemattributes_code="";
$results = @mysql_query("select * from $amazon_attributes_code order by name");
while ($Rij = @mysql_fetch_array($results))
  {
$itemattributes_code .= "<option value=\"$Rij[id]\">$Rij[name]</option>";

if ($Rij[id]==$default_position_1){$default_name_1=$Rij[name];}
if ($Rij[id]==$default_position_2){$default_name_2=$Rij[name];}
if ($Rij[id]==$default_position_3){$default_name_3=$Rij[name];}
if ($Rij[id]==$default_position_4){$default_name_4=$Rij[name];}
if ($Rij[id]==$default_position_5){$default_name_5=$Rij[name];}
  }
$itemattributes_code_common = "
<option value=\"\" ></option>
<option value=\"1\">Actor</option>
<option value=\"8\">Author</option>
<option value=\"219\">Average Rating</option>
<option value=\"17\">Brand</option>
<option value=\"117\">Model</option>
<option value=\"220\">Number of Reviews</option>
<option value=\"207\">UPC Code</option>
<option value=\"81\">ISBN Code</option>
<option value=\"221\">Price</option>
<option value=\"222\">ListPrice</option>
<option value=\"305\">Bookmark Button</option>
<option value=\"306\">Buy Button</option>
<option value=\"\">-----------------------</option>
";
?>	
<table border="0">
<tr><td>Place</td><td>Label</td><td>Select</td></tr>
<tr><td>Position 1 </td><td><input type="text" name="default_position_label_1" size="20" value="<?php echo $default_position_label_1;?>" ></input></td><td><select name="default_position_1"><option value="<?php if ($default_name_1!=""){echo $default_position_1;}?>" selected><?php if ($default_name_1!=""){echo $default_name_1;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_common; echo $itemattributes_code;?></select></td> </tr>
<tr><td>Position 2 </td><td><input type="text" name="default_position_label_2" size="20" value="<?php echo $default_position_label_2;?>" ></input></td><td><select name="default_position_2"><option value="<?php if ($default_name_2!=""){echo $default_position_2;}?>" selected><?php if ($default_name_2!=""){echo $default_name_2;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_common; echo $itemattributes_code;?></select></td>  </tr>
<tr><td>Position 3 </td><td><input type="text" name="default_position_label_3" size="20" value="<?php echo $default_position_label_3;?>" ></input></td><td><select name="default_position_3"><option value="<?php if ($default_name_3!=""){echo $default_position_3;}?>" selected><?php if ($default_name_3!=""){echo $default_name_3;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_common; echo $itemattributes_code;?></select></td>  </tr>
<tr><td>Position 4 </td><td><input type="text" name="default_position_label_4" size="20" value="<?php echo $default_position_label_4;?>" ></input></td><td><select name="default_position_4"><option value="<?php if ($default_name_4!=""){echo $default_position_4;}?>" selected><?php if ($default_name_4!=""){echo $default_name_4;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_common; echo $itemattributes_code;?></select></td>  </tr>
<tr><td>Position 5 </td><td><input type="text" name="default_position_label_5" size="20" value="<?php echo $default_position_label_5;?>" ></input></td><td><select name="default_position_5"><option value="<?php if ($default_name_5!=""){echo $default_position_5;}?>" selected><?php if ($default_name_5!=""){echo $default_name_5;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_common; echo $itemattributes_code;?></select></td>  </tr>
</table>

<br><br>
Number of words to use in the description: <input type="text" name="amaniche_num_words" size="15">(<i>leave blank to use the complete description</i>)<br>
Add eBay auctions: <input type="checkbox" name="add_ebay"><br>
	 <div class="submit">
		<input type="submit" name="info_update" value="Save Settings &raquo;" />
	</div>
	</form>
	
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	 <div class="submit">
		<input type="submit" name="info_update" value="&#171; Back to Step1" />
	</div>
	</form>
<?php
}//end default step2

if ($actie=="default_step3"){

$amaniche_num_words = $_POST["amaniche_num_words"];
update_option('amaniche_num_words', $amaniche_num_words);	
$default_position_label_1 = $_POST["default_position_label_1"];
$default_position_label_2 = $_POST["default_position_label_2"];
$default_position_label_3 = $_POST["default_position_label_3"];
$default_position_label_4 = $_POST["default_position_label_4"];
$default_position_label_5 = $_POST["default_position_label_5"];

$default_position_1 = $_POST["default_position_1"];
$default_position_2 = $_POST["default_position_2"];
$default_position_3 = $_POST["default_position_3"];
$default_position_4 = $_POST["default_position_4"];
$default_position_5 = $_POST["default_position_5"];

if(get_magic_quotes_gpc()){
$default_position_1 = stripslashes($default_position_1);
$default_position_2 = stripslashes($default_position_2);
$default_position_3 = stripslashes($default_position_3);
$default_position_4 = stripslashes($default_position_4);
$default_position_5 = stripslashes($default_position_5);
}

update_option('default_position_label_1', $default_position_label_1);
update_option('default_position_label_2', $default_position_label_2);
update_option('default_position_label_3', $default_position_label_3);
update_option('default_position_label_4', $default_position_label_4);
update_option('default_position_label_5', $default_position_label_5);
update_option('default_position_1', $default_position_1);
update_option('default_position_2', $default_position_2);
update_option('default_position_3', $default_position_3);
update_option('default_position_4', $default_position_4);
update_option('default_position_5', $default_position_5);

$onoff = $_POST['add_ebay'];
if($onoff=="on"){
update_option('amaniche_add_ebay', 'yes');
}else{
update_option('amaniche_add_ebay', 'no');
}


//write the post_layout option

$layout_text = '<div id="product_default">';
$image_layout_text = '<div id="product_image_default"><a href="{product_link}" target="_blank" rel="nofollow"><img src="{product_image}" border="0"></a></div>';
$image_layout_text .= '<div style="clear:both;"></div>';
$attributes_layout_text = '<div id="product_attributes_default">';
if ($default_position_1!=""){
$results = @mysql_query("select * from $amaniche_attributes_code where id='$default_position_1'");
$Rij = @mysql_fetch_array($results);
$attributes_layout_text .= '<div id="attribute"><span class="att_label">' . $default_position_label_1 . ' </span><span class="att_value">' . $Rij[item_code] . '</span></div>';
}

if ($default_position_2!=""){
$results = @mysql_query("select * from $amaniche_attributes_code where id='$default_position_2'");
$Rij = @mysql_fetch_array($results);
$attributes_layout_text .= '<div id="attribute"><span class="att_label">' . $default_position_label_2 . '  </span><span class="att_value">' . $Rij[item_code] . '</span></div>';
}

if ($default_position_3!=""){
$results = @mysql_query("select * from $amaniche_attributes_code where id='$default_position_3'");
$Rij = @mysql_fetch_array($results);
$attributes_layout_text .= '<div id="attribute"><span class="att_label">' . $default_position_label_3 . '  </span><span class="att_value">' . $Rij[item_code] . '</span></div>';
}

if ($default_position_4!=""){
$results = @mysql_query("select * from $amaniche_attributes_code where id='$default_position_4'");
$Rij = @mysql_fetch_array($results);
$attributes_layout_text .= '<div id="attribute"><span class="att_label">' . $default_position_label_4 . ' </span><span class="att_value">' . $Rij[item_code] . '</span></div>';
}

if ($default_position_5!=""){
$results = @mysql_query("select * from $amaniche_attributes_code where id='$default_position_5'");
$Rij = @mysql_fetch_array($results);
$attributes_layout_text .= '<div id="attribute"><span class="att_label">' . $default_position_label_5 . ' </span><span class="att_value">' . $Rij[item_code] . '</span></div>';
}

$attributes_layout_text .= "</div>\n";



$layout_text .= '<table border="0"><tr><td valign="top">';
//lets see where the image should reside left or right
$image_position=get_option('amaniche_layout_image'); 
if ($image_position=="left"){
$layout_text .=$image_layout_text; 
$layout_text .='</td><td valign="top">';
$layout_text .=$attributes_layout_text; 
}else{
$layout_text .=$attributes_layout_text; 
$layout_text .='</td><td valign="top">';
$layout_text .=$image_layout_text; 
}

$layout_text .='</td></tr></table><div style="clear:both;"></div>';
$layout_text .= '<div id="product_description">';
$layout_text .= "{description}</div>\n";
$layout_text .= '<div style="clear:both;"></div>';
$layout_text .= "{buy_link}\n\n</div>\n";

update_option('amaniche_postlayout', $layout_text);	

?>

<div id="message" class="updated fade"><p><strong>Options updated</strong></p></div>
<h2>Default Settings Completed</h2>
<p>You can always change the layout and the posts will be changed on the fly. You can use this "wizard" to make the changes or if you are comftable with code you can use the advanced layout option where you directly insert the codes</p>
<p>You can also opt for changing the wordpress template you are using as you have the option to insert custom fields in there. The custom field names are in the appendix of the userguide</p>
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	 <div class="submit">
		<input type="submit" name="info_update" value="&#171; Back to Step1" />
	</div>
	</form>


<?php
}//end step 3 default

if ($actie=="shop_step2"){
$amaniche_layout_image = $_POST["amaniche_layout_image"];
update_option('amaniche_layout_image', $amaniche_layout_image);	
?>
<div id="message" class="updated fade"><p><strong>Options updated</strong></p></div>
<h2>Step 3 (Final)</h2>
<p>Select what you want next to the image and above and below it. You have 7 places next to the image where you can add for instance, price, listprice, average rating, number of reviews, model, brand, author etcetc. below that will appear the description and you indicate how many words. If you add content of your own you can do that in the normal wordpress edit post screen. any code that is that post you will need to leave as is as that is part of the magic of the plugin. </p>
<p>You do not have to use all of the options , you can even leave it blank if you like. </p>
<p>There are many options but not all will be available to your kind of items. Only select those that are related to you. For instance if you have a site about digital cameras it is not making sence of selecting actor as that field will be empty or if you have a site about books and dvd's of Harry Potter the field ClothingSize will not make sence.</p>
<?php
if ($amaniche_layout_image=="left"){
$shop_image = "$pathurl/shop_layout_left.jpg";
}
if ($amaniche_layout_image=="right"){
$shop_image = "$pathurl/shop_layout_right.jpg";
}
if ($amaniche_layout_image=="center"){
$shop_image = "$pathurl/shop_layout_center.jpg";
}
?>
<img src="<?php echo $shop_image;?>" />
	
		<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	<input type="hidden" name="actie" value="shop_step3" />
<?php 
$default_position_1 =get_option('default_position_1');
$default_position_2 =get_option('default_position_2');
$default_position_3=get_option('default_position_3');
$default_position_4 =get_option('default_position_4');
$default_position_5 =get_option('default_position_5');
$default_position_6 =get_option('default_position_6');
$default_position_7 =get_option('default_position_7');

$default_position_label_1 =get_option('default_position_label_1');
$default_position_label_2 =get_option('default_position_label_2');
$default_position_label_3 =get_option('default_position_label_3');
$default_position_label_4 =get_option('default_position_label_4');
$default_position_label_5 =get_option('default_position_label_5');
$default_position_label_6 =get_option('default_position_label_6');
$default_position_label_7 =get_option('default_position_label_7');

$below_position_1 =get_option('below_position_1');
$below_position_2 =get_option('below_position_2');
$below_position_3=get_option('below_position_3');
$below_position_4 =get_option('below_position_4');
$below_position_5 =get_option('below_position_5');
$below_position_6 =get_option('below_position_6');
$below_position_7 =get_option('below_position_7');

$below_position_label_1 =get_option('below_position_label_1');
$below_position_label_2 =get_option('below_position_label_2');
$below_position_label_3 =get_option('below_position_label_3');
$below_position_label_4 =get_option('below_position_label_4');
$below_position_label_5 =get_option('below_position_label_5');
$below_position_label_6 =get_option('below_position_label_6');
$below_position_label_7 =get_option('below_position_label_7');


$itemattributes_code="";
$results = @mysql_query("select * from $amazon_attributes_code order by name");
while ($Rij = @mysql_fetch_array($results))
  {
$itemattributes_code .= "<option value=\"$Rij[id]\">$Rij[name]</option>";
if ($Rij[id]==$default_position_1){$default_name_1=$Rij[name];}
if ($Rij[id]==$default_position_2){$default_name_2=$Rij[name];}
if ($Rij[id]==$default_position_3){$default_name_3=$Rij[name];}
if ($Rij[id]==$default_position_4){$default_name_4=$Rij[name];}
if ($Rij[id]==$default_position_5){$default_name_5=$Rij[name];}
if ($Rij[id]==$default_position_6){$default_name_6=$Rij[name];}
if ($Rij[id]==$default_position_7){$default_name_7=$Rij[name];}
if ($Rij[id]==$below_position_1){$below_name_1=$Rij[name];}
if ($Rij[id]==$below_position_2){$below_name_2=$Rij[name];}
if ($Rij[id]==$below_position_3){$below_name_3=$Rij[name];}
if ($Rij[id]==$below_position_4){$below_name_4=$Rij[name];}
if ($Rij[id]==$below_position_5){$below_name_5=$Rij[name];}
if ($Rij[id]==$below_position_6){$below_name_6=$Rij[name];}
if ($Rij[id]==$below_position_7){$below_name_7=$Rij[name];}

  }
$itemattributes_code_common = "
<option value=\"\" ></option>
<option value=\"1\">Actor</option>
<option value=\"8\">Author</option>
<option value=\"219\">Average Rating</option>
<option value=\"17\">Brand</option>
<option value=\"117\">Model</option>
<option value=\"220\">Number of Reviews</option>
<option value=\"207\">UPC Code</option>
<option value=\"81\">ISBN Code</option>
<option value=\"221\">Price</option>
<option value=\"222\">ListPrice</option>
<option value=\"305\">Bookmark Button</option>
<option value=\"306\">Buy Button</option>
<option value=\"\">-----------------------</option>
";

$itemattributes_code_below = "
<option value=\"\" ></option>
<option value=\"300\">Description</option>
<option value=\"301\">Accessories</option>
<option value=\"302\">Related items</option>
<option value=\"303\">Features</option>
<option value=\"304\">Special Featurs</option>

<option value=\"\">-----------------------</option>
";
?>	

<h2><?php if ($amaniche_layout_image=="center"){echo "Above";}else{echo "Next";}?> to the image</h2>
Lable is what will be printed infront of the option.
<table border="0">
<tr><td>Place</td><td>Label</td><td>Select</td></tr>
<tr><td>Position 1 </td><td><input type="text" name="default_position_label_1" size="20" value="<?php echo $default_position_label_1;?>"></input></td><td><select name="default_position_1"><option value="<?php if ($default_name_1!=""){echo $default_position_1;}?>" selected><?php if ($default_name_1!=""){echo $default_name_1;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_common; echo $itemattributes_code;?></select></td> </tr>
<tr><td>Position 2 </td><td><input type="text" name="default_position_label_2" size="20" value="<?php echo $default_position_label_2;?>"></input></td><td><select name="default_position_2"><option value="<?php if ($default_name_2!=""){echo $default_position_2;}?>" selected><?php if ($default_name_2!=""){echo $default_name_2;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_common; echo $itemattributes_code;?></select></td>  </tr>
<tr><td>Position 3 </td><td><input type="text" name="default_position_label_3" size="20" value="<?php echo $default_position_label_3;?>"></input></td><td><select name="default_position_3"><option value="<?php if ($default_name_3!=""){echo $default_position_3;}?>" selected><?php if ($default_name_3!=""){echo $default_name_3;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_common; echo $itemattributes_code;?></select></td>  </tr>
<tr><td>Position 4 </td><td><input type="text" name="default_position_label_4" size="20" value="<?php echo $default_position_label_4;?>"></input></td><td><select name="default_position_4"><option value="<?php if ($default_name_4!=""){echo $default_position_4;}?>" selected><?php if ($default_name_4!=""){echo $default_name_4;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_common; echo $itemattributes_code;?></select></td>  </tr>
<tr><td>Position 5 </td><td><input type="text" name="default_position_label_5" size="20" value="<?php echo $default_position_label_5;?>"></input></td><td><select name="default_position_5"><option value="<?php if ($default_name_5!=""){echo $default_position_5;}?>" selected><?php if ($default_name_5!=""){echo $default_name_5;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_common; echo $itemattributes_code;?></select></td>  </tr>
<tr><td>Position 6 </td><td><input type="text" name="default_position_label_6" size="20" value="<?php echo $default_position_label_6;?>"></input></td><td><select name="default_position_6"><option value="<?php if ($default_name_6!=""){echo $default_position_6;}?>" selected><?php if ($default_name_6!=""){echo $default_name_6;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_common; echo $itemattributes_code;?></select></td>  </tr>
<tr><td>Position 7 </td><td><input type="text" name="default_position_label_7" size="20" value="<?php echo $default_position_label_7;?>"></input></td><td><select name="default_position_7"><option value="<?php if ($default_name_7!=""){echo $default_position_7;}?>" selected><?php if ($default_name_7!=""){echo $default_name_7;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_common; echo $itemattributes_code;?></select></td>  </tr>
</table>

<h2>Below the image</h2>
Label is what will be printed above the selection
<table border="0">
<tr><td>Place</td><td>Label</td><td>Select</td></tr>
<tr><td>Position 1 </td><td><input type="text" name="below_position_label_1" size="20" value="<?php echo $below_position_label_1;?>"></input></td><td><select name="below_position_1"><option value="<?php if ($below_name_1!=""){echo $below_position_1;}?>" selected><?php if ($below_name_1!=""){echo $below_name_1;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_below; echo $itemattributes_code_common; echo $itemattributes_code;?></select></td> </tr>
<tr><td>Position 2 </td><td><input type="text" name="below_position_label_2" size="20" value="<?php echo $below_position_label_2;?>"></input></td><td><select name="below_position_2"><option value="<?php if ($below_name_2!=""){echo $below_position_2;}?>" selected><?php if ($below_name_2!=""){echo $below_name_2;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_below; echo $itemattributes_code_common; echo $itemattributes_code;?></select></td>  </tr>
<tr><td>Position 3 </td><td><input type="text" name="below_position_label_3" size="20" value="<?php echo $below_position_label_3;?>"></input></td><td><select name="below_position_3"><option value="<?php if ($below_name_3!=""){echo $below_position_3;}?>" selected><?php if ($below_name_3!=""){echo $below_name_3;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_below; echo $itemattributes_code_common; echo $itemattributes_code;?></select></td>  </tr>
<tr><td>Position 4 </td><td><input type="text" name="below_position_label_4" size="20" value="<?php echo $below_position_label_4;?>"></input></td><td><select name="below_position_4"><option value="<?php if ($below_name_4!=""){echo $below_position_4;}?>" selected><?php if ($below_name_4!=""){echo $below_name_4;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_below; echo $itemattributes_code_common; echo $itemattributes_code;?></select></td>  </tr>
<tr><td>Position 5 </td><td><input type="text" name="below_position_label_5" size="20" value="<?php echo $below_position_label_5;?>"></input></td><td><select name="below_position_5"><option value="<?php if ($below_name_5!=""){echo $below_position_5;}?>" selected><?php if ($below_name_5!=""){echo $below_name_5;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_below; echo $itemattributes_code_common; echo $itemattributes_code;?></select></td>  </tr>
<tr><td>Position 6 </td><td><input type="text" name="below_position_label_6" size="20" value="<?php echo $below_position_label_6;?>"></input></td><td><select name="below_position_6"><option value="<?php if ($below_name_6!=""){echo $below_position_6;}?>" selected><?php if ($below_name_6!=""){echo $below_name_6;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_below; echo $itemattributes_code_common; echo $itemattributes_code;?></select></td>  </tr>
<tr><td>Position 7 </td><td><input type="text" name="below_position_label_7" size="20" value="<?php echo $below_position_label_7;?>"></input></td><td><select name="below_position_7"><option value="<?php if ($below_name_7!=""){echo $below_position_7;}?>" selected><?php if ($below_name_7!=""){echo $below_name_7;}else{echo "Select or Leave blank";}?></option><?php echo $itemattributes_code_below; echo $itemattributes_code_common; echo $itemattributes_code;?></select></td>  </tr>
</table>
<br><br>
Number of words to use in the description: <input type="text" name="amaniche_num_words" size="15">(<i>leave blank to use the complete description</i>)<br>
Add eBay auctions: <input type="checkbox" name="add_ebay"><br>

	 <div class="submit">
		<input type="submit" name="info_update" value="Save Settings &raquo;" />
	</div>

</form>
	
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	 <div class="submit">
		<input type="submit" name="info_update" value="&#171; Back to Step1" />
	</div>
	</form>
	
* <i>if you need more options please save this layout and look at the advanced layout option. Let us know if you have any questions	</i>
	
<?php
}//end shop step2


//shop step3

if ($actie=="shop_step3"){

$amaniche_num_words = $_POST["amaniche_num_words"];
update_option('amaniche_num_words', $amaniche_num_words);	
$default_position_label_1 = $_POST["default_position_label_1"];
$default_position_label_2 = $_POST["default_position_label_2"];
$default_position_label_3 = $_POST["default_position_label_3"];
$default_position_label_4 = $_POST["default_position_label_4"];
$default_position_label_5 = $_POST["default_position_label_5"];
$default_position_label_6 = $_POST["default_position_label_6"];
$default_position_label_7 = $_POST["default_position_label_7"];
$default_position_1 = $_POST["default_position_1"];
$default_position_2 = $_POST["default_position_2"];
$default_position_3 = $_POST["default_position_3"];
$default_position_4 = $_POST["default_position_4"];
$default_position_5 = $_POST["default_position_5"];
$default_position_6 = $_POST["default_position_6"];
$default_position_7 = $_POST["default_position_7"];
$below_position_label_1 = $_POST["below_position_label_1"];
$below_position_label_2 = $_POST["below_position_label_2"];
$below_position_label_3 = $_POST["below_position_label_3"];
$below_position_label_4 = $_POST["below_position_label_4"];
$below_position_label_5 = $_POST["below_position_label_5"];
$below_position_label_6 = $_POST["below_position_label_6"];
$below_position_label_7 = $_POST["below_position_label_7"];
$below_position_1 = $_POST["below_position_1"];
$below_position_2 = $_POST["below_position_2"];
$below_position_3 = $_POST["below_position_3"];
$below_position_4 = $_POST["below_position_4"];
$below_position_5 = $_POST["below_position_5"];
$below_position_6 = $_POST["below_position_6"];
$below_position_7 = $_POST["below_position_7"];


if(get_magic_quotes_gpc()){
$default_position_1 = stripslashes($default_position_1);
$default_position_2 = stripslashes($default_position_2);
$default_position_3 = stripslashes($default_position_3);
$default_position_4 = stripslashes($default_position_4);
$default_position_5 = stripslashes($default_position_5);
$default_position_6 = stripslashes($default_position_6);
$default_position_7 = stripslashes($default_position_7);
$below_position_1 = stripslashes($below_position_1);
$below_position_2 = stripslashes($below_position_2);
$below_position_3 = stripslashes($below_position_3);
$below_position_4 = stripslashes($below_position_4);
$below_position_5 = stripslashes($below_position_5);
$below_position_6 = stripslashes($below_position_6);
$below_position_7 = stripslashes($below_position_7);
}

$onoff = $_POST['add_ebay'];
if($onoff=="on"){
update_option('amaniche_add_ebay', 'yes');
}else{
update_option('amaniche_add_ebay', 'no');
}

update_option('default_position_label_1', $default_position_label_1);
update_option('default_position_label_2', $default_position_label_2);
update_option('default_position_label_3', $default_position_label_3);
update_option('default_position_label_4', $default_position_label_4);
update_option('default_position_label_5', $default_position_label_5);
update_option('default_position_label_6', $default_position_label_6);
update_option('default_position_label_7', $default_position_label_7);
update_option('default_position_1', $default_position_1);
update_option('default_position_2', $default_position_2);
update_option('default_position_3', $default_position_3);
update_option('default_position_4', $default_position_4);
update_option('default_position_5', $default_position_5);
update_option('default_position_6', $default_position_6);
update_option('default_position_7', $default_position_7);
update_option('below_position_label_1', $below_position_label_1);
update_option('below_position_label_2', $below_position_label_2);
update_option('below_position_label_3', $below_position_label_3);
update_option('below_position_label_4', $below_position_label_4);
update_option('below_position_label_5', $below_position_label_5);
update_option('below_position_label_6', $below_position_label_6);
update_option('below_position_label_7', $below_position_label_7);
update_option('below_position_1', $below_position_1);
update_option('below_position_2', $below_position_2);
update_option('below_position_3', $below_position_3);
update_option('below_position_4', $below_position_4);
update_option('below_position_5', $below_position_5);
update_option('below_position_6', $below_position_6);
update_option('below_position_7', $below_position_7);


//write the post_layout option


$layout_text = '<div id="product_top">';

$image_layout_text = '<div id="ImageSet"><a href="{product_link}" target="_blank" rel="nofollow">{ImageSet}</a></div>';
$attributes_layout_text = '<div id="product_attributes">';

if ($default_position_1!=""){
$results = @mysql_query("select * from $amazon_attributes_code where id='$default_position_1'");
$Rij = @mysql_fetch_array($results);
$attributes_layout_text .= '<div id="' . $Rij[name] . '"><span class="' . $Rij[name] . '_label">' . $default_position_label_1 . ' </span><span class="' .$Rij[name] . '">' . $Rij[item_code] . '</span></div>';
}

if ($default_position_2!=""){
$results = @mysql_query("select * from $amazon_attributes_code where id='$default_position_2'");
$Rij = @mysql_fetch_array($results);
$attributes_layout_text .= '<div id="' . $Rij[name] . '"><span class="' . $Rij[name] . '_label">' . $default_position_label_2 . ' </span><span class="' .$Rij[name] . '">' . $Rij[item_code] . '</span></div>';
}

if ($default_position_3!=""){
$results = @mysql_query("select * from $amazon_attributes_code where id='$default_position_3'");
$Rij = @mysql_fetch_array($results);
$attributes_layout_text .= '<div id="' . $Rij[name] . '"><span class="' . $Rij[name] . '_label">' . $default_position_label_3 . ' </span><span class="' .$Rij[name] . '">' . $Rij[item_code] . '</span></div>';
}

if ($default_position_4!=""){
$results = @mysql_query("select * from $amazon_attributes_code where id='$default_position_4'");
$Rij = @mysql_fetch_array($results);
echo $Rij[name];
$attributes_layout_text .= '<div id="' . $Rij[name] . '"><span class="' . $Rij[name] . '_label">' . $default_position_label_4 . ' </span><span class="' .$Rij[name] . '">' . $Rij[item_code] . '</span></div>';
}

if ($default_position_5!=""){
$results = @mysql_query("select * from $amazon_attributes_code where id='$default_position_5'");
$Rij = @mysql_fetch_array($results);
$attributes_layout_text .= '<div id="' . $Rij[name] . '"><span class="' . $Rij[name] . '_label">' . $default_position_label_5 . ' </span><span class="' .$Rij[name] . '">' . $Rij[item_code] . '</span></div>';
}

if ($default_position_6!=""){
$results = @mysql_query("select * from $amazon_attributes_code where id='$default_position_6'");
$Rij = @mysql_fetch_array($results);
$attributes_layout_text .= '<div id="' . $Rij[name] . '"><span class="' . $Rij[name] . '_label">' . $default_position_label_6 . ' </span><span class="' .$Rij[name] . '">' . $Rij[item_code] . '</span></div>';
}

if ($default_position_7!=""){
$results = @mysql_query("select * from $amazon_attributes_code where id='$default_position_7'");
$Rij = @mysql_fetch_array($results);
$attributes_layout_text .= '<div id="' . $Rij[name] . '"><span class="' . $Rij[name] . '_label">' . $default_position_label_7 . ' </span><span class="' .$Rij[name] . '">' . $Rij[item_code] . '</span></div>';
}

$attributes_layout_text .= "</div>\n";



//lets see where the image should reside left or right
$image_position=get_option('amaniche_layout_image'); 
if ($image_position=="left"){
$layout_text .= '<table border="0"><tr><td valign="top">';
$layout_text .=$image_layout_text; 
$layout_text .='</td><td valign="top">';
$layout_text .=$attributes_layout_text; 
$layout_text .='</td></tr></table></div><div style="clear:both;"></div>';
}

if ($image_position=="right"){
$layout_text .= '<table border="0"><tr><td valign="top">';
$layout_text .=$attributes_layout_text; 
$layout_text .='</td><td valign="top">';
$layout_text .=$image_layout_text; 
$layout_text .='</td></tr></table></div><div style="clear:both;"></div>';
}

if ($image_position=="center"){
$layout_text .=$attributes_layout_text; 
$layout_text .= '<div style="clear:both;"></div>';
$layout_text .=$image_layout_text; 
$layout_text .= '</div><div style="clear:both;"></div>';
}
$layout_text .= '<div id="content_below">';
if ($below_position_1!=""){
$results = @mysql_query("select * from $amazon_attributes_code where id='$below_position_1'");
$Rij = @mysql_fetch_array($results);
$layout_text .= '<div id="' . $Rij[name] . '"><h2>' . $below_position_label_1 . '</h2>' . $Rij[item_code] . '</div>';
$layout_text .= '<div style="clear:both;"></div>';
}

if ($below_position_2!=""){
$results = @mysql_query("select * from $amazon_attributes_code where id='$below_position_2'");
$Rij = @mysql_fetch_array($results);
$layout_text .= '<div id="' . $Rij[name] . '"><h2>' . $below_position_label_2 . '</h2>' . $Rij[item_code] . '</div>';
$layout_text .= '<div style="clear:both;"></div>';
}

if ($below_position_3!=""){
$results = @mysql_query("select * from $amazon_attributes_code where id='$below_position_3'");
$Rij = @mysql_fetch_array($results);
$layout_text .= '<div id="' . $Rij[name] . '"><h2>' . $below_position_label_3 . '</h2>' . $Rij[item_code] . '</div>';
$layout_text .= '<div style="clear:both;"></div>';
}

if ($below_position_4!=""){
$results = @mysql_query("select * from $amazon_attributes_code where id='$below_position_4'");
$Rij = @mysql_fetch_array($results);
$layout_text .= '<div id="' . $Rij[name] . '"><h2>' . $below_position_label_4 . '</h2>' . $Rij[item_code] . '</div>';
$layout_text .= '<div style="clear:both;"></div>';
}

if ($below_position_5!=""){
$results = @mysql_query("select * from $amazon_attributes_code where id='$below_position_5'");
$Rij = @mysql_fetch_array($results);
$layout_text .= '<div id="' . $Rij[name] . '"><h2>' . $below_position_label_5 . '</h2>' . $Rij[item_code] . '</div>';
$layout_text .= '<div style="clear:both;"></div>';
}


if ($below_position_6!=""){
$results = @mysql_query("select * from $amazon_attributes_code where id='$below_position_6'");
$Rij = @mysql_fetch_array($results);
$layout_text .= '<div id="' . $Rij[name] . '"><h2>' . $below_position_label_6 . '</h2>' . $Rij[item_code] . '</div>';
$layout_text .= '<div style="clear:both;"></div>';
}

if ($below_position_7!=""){
$results = @mysql_query("select * from $amazon_attributes_code where id='$below_position_7'");
$Rij = @mysql_fetch_array($results);
$layout_text .= '<div id="' . $Rij[name] . '"><h2>' . $below_position_label_7 . '</h2>' . $Rij[item_code] . '</div>';
$layout_text .= '<div style="clear:both;"></div>';
}
$layout_text .= "</div>";
update_option('amaniche_postlayout', $layout_text);
?>

<div id="message" class="updated fade"><p><strong>Options updated</strong></p></div>
<h2>Shop Settings Completed</h2>
<p>You can always change the layout and the posts will be changed on the fly. You can use this "wizard" to make the changes or if you are comftable with code you can use the advanced layout option where you directly insert the codes</p>
<p>You can also opt for changing the wordpress template you are using as you have the option to insert custom fields in there. The custom field names are in the appendix of the userguide</p>
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	 <div class="submit">
		<input type="submit" name="info_update" value="&#171; Back to Step1" />
	</div>
	</form>

<?php
}//end step 3 shop

}else{
?>


	<p>With the start of version 2.0 of the Amaniche plugin you have complete control over the layout of the posts.<br>
	By default the post is created with the follow layout. Image to the left, right to it brand, average rating and reviews and the description with below that a call to action.
	When you want you can just show the description with an affiliate link or you add a lot more like related products, more images, accessories, features and specific attributes available to that product like for instance color, material, if it's a book the author or with movies the actors etcetc.</p>
	<p>You will need to indicate what kind of layout you wish<br>
	Simple, Default or e-Commerce. You can always use template tags to customize your layout.<br><i>How to use the template tags is in the userguide</i></p>
	
		<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	<input type="hidden" name="actie" value="step1" />
	 
	<h2>Step 1</h2> 
	Select your type of layout<br>
	<?php $amaniche_layout =get_option('amaniche_layout');?>
	<input type="radio" name="amaniche_layout" value="simple" <?php if($amaniche_layout =="simple"){echo "checked";}?>> Simple *<br>
	<input type="radio" name="amaniche_layout" value="default" <?php if($amaniche_layout =="default"){echo "checked";}?>> Default * <br>
	<input type="radio" name="amaniche_layout" value="shop" <?php if($amaniche_layout =="shop"){echo "checked";}?>> Shop *<br>
	<br><br>
	<input type="radio" name="amaniche_layout" value="ebay"> eBay *<br>
	<input type="radio" name="amaniche_layout" value="droplet"> Droplet *<br>
		
	 <div class="submit">
		<input type="submit" name="info_update" value="Select &raquo;" />
	</div>
	</form>
<img src="<?php echo $pathurl;?>/layout_options.jpg">
	<p><strong>Simple Layout</strong> : This layout is purely the description and a link to Aamzon using your affiliate id. This is ideal for just the basic setup or if you want to add things in a total custom way. You can use any template tags that are available with the products to customize your post layout. 
It will not be in your rss feed but will be on your site. your rss feed will only have the description text and the affiliate link.
</p>
	<p><strong>Default Layout</strong> : This layout is a basic layout with an image , the number of reviews and rating, the description and the affiliate links. everything will be in the rss feed also.  You can add in your template custom tags that will show additional information.</p>
	<p><strong>Shop Layout</strong> : A layout that has the look and feel of an ecommerce site. In your template you can add always more options but what you select here will be the content of the post.
	<p><strong>eBay Layout</strong> : Here you can modify the layout you want for the eBay auctions if you select to add them to your site</p>
	<p><strong>Droplet Layout</strong> :Here you modify the layout of the Amazon droplets made by Amaniche. Droplets are short product details added to a post or page and can contain any info you like</p> 
	</div>
	<?php
	}
	

	?>
